
AC S      Self Correlation ||                                     AC S
                                                            10/08/00

PURPOSE:  Computes the self-correlation function of a picture by
          using the Fourier transform relationship.  The dimension
          of the picture need not be a power of two (see 'FT' for 
          restrictions).  Works for 2D and 3D.

SEE ALSO:  AC N   (Auto Correlation - Normalized)
           AC NS  (Self Correlation - Normalized)
           AC MS  (Auto Correlation - MaSked and normalized)
           CC     (Cross Correlation)
           CC N   (Cross Correlation - Normalized)
           CN     (CoNvolution)
           CN N   (CoNvolution - Normalized)
           FT     (Fourier Transform)

USAGE:    AC S

          .INPUT FILE: PIC001
          [Enter the name of the picture to be self-correlated.]

          .OUTPUT FILE: ACF001
          [Enter name of the file which will contain the
self-correlation
          coefficients.]

NOTES: 1. On completion of this operation, the output file will contain
          the self-correlation function.  The origin is at
          (INT(NSAM/2) + 1, INT(NROW/2) + 1, INT(NSLICE/2) + 1).
          The SCF is not normalized.
          
       2. The type of input data can be either real or Fourier.
          
       3. The self-correlation function is defined in "Correlation
          functions
          revisited", M. van Heel, M. Schatz, E. Orlova.
          Ultramicroscopy, 46,
          (1992) 307-316; as inverse Fourier transform of the modulus of
the Fourier transform of the input image.

             ACRS_3S
             
A

