AP CA     Alignment - Classification and Alignment        AP CA    
                                                           09/16/04

PURPOSE:  Rotationally aligns the image series and at the same time
          classifies the images into K groups.

SEE ALSO:  AP CM
           AP SH  
           AP REF
           AP SA  
           AP SR  

USAGE:    AP CA

          .ENTER TEMPLATE FOR 2-D IMAGE NAME FILE: UKN***
          [Give the name of any of the existing files from the series
           to be aligned]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: 1-700 OR IMAGES127
          [Enter projection file numbers or the name of the document file 
           containing projection file numbers in the first column.]

          .FIRST AND LAST RING: 5,15
          [Only rings 5 to 15 will be analyzed]

          .SKIP: 1
          [If skip=0 or 1, then each ring between 5 and 15 will be taken; 
           for skip=2 every second ring, etc.]

          .FULL OR HALF: H
          [Full - full ring treated (real data); Half - half ring 
           treated (autocorrelation function).]

          .NORMALIZE UNDER THE MASK (Y/N): Y
          [For Y, input rings are normalized to compensate for the negative
           stain effect.]

          .NUMBER OF GROUPS, NUMBER OF ITERATIONS: 5,30
          [Number of groups the images will be divided into and upper limit of
           iterations permitted (to avoid infinite loop in the case of lack of
           convergence)]

	  .SELECTION FILE NAME: select***
	  [Enter the name of the document of files where all the objects belonging
           to the same cluster will be stored.] 

          .DOCUMENT FILE NAME: apca001
          [Documents files with classification results. It contains 4 columns:
           '<PRE>'
           1.File number    2.Rota. angle      3.Distance   4.Group number
             Real number      Note that         From the      Results of
             to handle        sign of angle     total        classification
       	     gaps in file     should NOT be     average.  
             series.          reversed in
                              forma. of
                               average. ]
           '</PRE>'


NOTE:  1. Please note that all the parameters produced by this program,
          namely, rotation and/or shift parameters -- are given with
          the proper signs. This means that to rotate and/or shift the images
          afterwards, these parameters should be applied directly (without
          sign reversal). To combine parameters given by repeated
          alignments, the 'SA P' command must be used. Only the angle signs 
	  used for 3-D reconstruction from tilted series need to be reversed.

       2. For details see Appendix in P.A.Penczek, J.Zhu, J.Frank.  
          A common-lines based method for determining orientations
          for N>3 particle projections simultaneously.  
          Ultramicroscopy, 63 (1996) 205-218.

SUBROUTINES: HALI, HALI_P, NORMAS, ALRQ, FOURING, CROSRNG, UPDTC, ENER,
             SEEDS, HKMC

CALLER:     UTIL4

'<pre>'
Example of the SPIDER batch program using 'AP CA'.

; b22.apc
; Rotate particles and calculate group averages

; number of particles
X92=338

; Number of groups
X91=3

X30 = 1 ; scale factor

AP CA
rts/pur***
1-x92
5,14
0
F
Y
X91,50
clas/select***
clas/apca001

DO LB1 I=1,X92
   UD IC, X0,X21, X22,X23,X24
   clas/apca001
   ; Rotate particles
   ; rts/pur - input image series, rts/apc - rotated images
   RT SQ
   rts/pur{***X0}
   rts/apc{***X0}
   X22,x30
   (0,0)
LB1

; Calculate the average for each goup (only if there are more than 2 particles)

DO LB4 X71=1,X91
   ; Check whether the file exists
   IQ FI,X72
   clas/select{***X71}
   IF(X72.EQ.0.0) GOTO LB4

   ; Get number of images in this group
   UD N,X72
   clas/select{***X71}
   IF(X72.LE.2) GOTO LB4

   AS DC
   rts/apc***
   clas/select{***X71}
   A
   clas/avg{***X71}
   clas/var{***X71}
LB4

EN
'</pre>'
