
AP NQ     Alignment - multi-reference, shift & rotation, no mirror check  ||    AP NQ
                                                               8/28/03

PURPOSE:  Compares a series of experimental images with a series of
          reference images.  For each experimental image it finds the
          in-plane Euler rotation and X,Y shifts which align the image
          with the most similar reference image.  Mirrored posistions
          are not checked.  
	  The only difference between this operation and 'AP MQ' is the lack of mirroring.
           '<br>'(See '<a href='"'../align_overview.html'"'>'align_overview.html'</a>' 
            for comparison of 'AP' operations.)

SEE ALSO:  VO EA  
           VO MD  
           AP CA  
           AP MD 
           AP MQ  
           AP RA  
           AP RD  
           AP RN 
           AP SA  
           AP SR  

USAGE:    AP NQ

          .ENTER TEMPLATE FOR REFERENCE IMAGE SERIES: REF***
          [Give the template name of the existing file series of 2D 
           reference images (typically projections).]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: SELECTREF
          [Enter numbers of reference files. The file numbers can also
           be read from a selection document file where file numbers are contained in the
           first register (not the keys).]

          .TRANSLATION SEARCH RANGE, STEP SIZE: 6,2
          [The search for translation parameters will be restricted to
           +/- search range, performed every "step size" pixels.'<BR>'
           Restrictions:'<BR>'
           1. Search range + last ring <=NSAM/2-2'<BR>'
           2. Search range has to be divisible by step size.] 

          .FIRST AND LAST RING: 5,15
          [Only rings with radii in the range 5-15 will be analyzed.]

          .ENTER TEMPLATE FOR IMAGE SERIES TO BE ALIGNED: DAT***
          [Give the template name of the existing file series of 
          experimental images.  These images will be checked for 
          alignment versus the reference images.]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME:1-21
          [Enter numbers of experimental files. The file numbers can also
           be read from a selection document file where file numbers are contained in the
           first register (not the keys).]

          .OUTPUT ANGLES DOCUMENT FILE: PARM101
          [This is the only output produced by this program.
           It contains 6 columns:                             '<BR>'

           1. Number of the most similar reference projection.'<BR>'

           2. Not-normalized correlation coefficient.          '<BR>'
              Can be used as a similarity measure.             '<BR>'

           3. Angle.                                           '<BR>'
              In-plane rotation angle determined.

           4. X-shift.                                         '<BR>'
              X translation determined.

           5. Y-shift.                                         '<BR>'
              Y translation determined.

           6. Experimental projection number.]                 '<BR>'


NOTE:   1. Images need not have power-of-two dimensions.

        2. The reference projections (of the existing structure)
           can be created using 'VO EA' and 'PJ 3Q' commands.  'VO EA'
           creates an angular document file with quasi-evenly spaced
           projection directions and 'PJ 3Q' creates projections
           of the volume according to this doc file.

        3. The output document file created by 'AP NQ' can be converted
           to the angular document file using 'VO MD' command.  Please
           note that in this case the angular document file created
           by 'VO EA' is required.

        4. Alignment parameters (angle and translation included in
           columns 3-5 of the output document file) can be used in
           command 'RT SQ' to align images.

        5. An example of the Spider batch program which can be used to produce
           an angular document file from the output document file of this
           command is included in the manual chapter for the command 'VO MD'.

        6. Implemented by: Paul Penczek.

SUBROUTINE: APMASTER, MRQLI_PS, MRQLI_SS, NORMAS, NORMASC, ALRQ_M, ALRQ_MS,
            CROSRNG_MS, CROSRMG_DS, CROSRNG_DS, FRNG, FRNGS, 
            APPLYWS, ALRQS, PARABLD, RINGWE

CALLER:     UTIL4

'<PRE>'
Example of the Spider batch program implementing 3D alignment of projections
procedure:

;b12.alq
;Rotate and shift images according to the parameters from 'AP NQ' alignment

; NUMBER OF REFERENCE IMAGES IS 83
X87=83
DO LB1 I=1,900
   X55=X0
   UD IC,X55,X21,X22,X23,X24,X25,X26
   docapmq
   RT SQ
   win/ser00x26
   ali/sar00x26
   X23
   X24,X25
LB1
EN 
'</PRE>'
