AP RNS    Alignment - multi-reference, rotation, no mirror check ||  AP RNS
                                                              12/10/03

PURPOSE:  Compares a single experimental image with a series of reference images.
          Finds the in-plane Euler rotation which aligns the experimental image
          with the most-similar reference image.
	  Mirrored positions are NOT checked.  
          '<br>'(See '<a href='"'../align_overview.html'"'>'align_overview.html'</a>' 
          for comparison of 'AP' operations.)

SEE ALSO:  VO EA  
           VO MD  
           VO RAS  
           AP RN 
           AP CA 
           AP MD  
           AP MQ 
           AP NQ 
           AP RA 
           AP RD 
           AP SA  
           AP SR 

USAGE:    AP RNS X10,X11,X12

          .ENTER TEMPLATE FOR REFERENCE IMAGE SERIES: REF***
          [Give the template name of the existing file series of 
           reference images (typically projections).]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: SELECTREF
          [Enter numbers of reference files. The file numbers can also
           be read from a selection document file where file numbers are contained in the
           first register (not the keys).]

          .FIRST, LAST RING & SKIP: 5,15,1
          [Only rings with radii in the range 5-15 will be analyzed. 
          [If skip=0 or 1, then every ring between 5 and 15 will be taken;
          for skip=2, every second ring; etc.]

          .REFERENCE-RINGS FILE: REF001
          [Give name of reference-rings file. If the file
           exists, SPIDER will read the  reference-rings data from this 
           file and will not read the reference image file series.  If 
           this file does not exist, SPIDER will create/store  the 
           reference-rings data in incore memory. If 
           SPIDER is unable to allocate sufficient memory for the 
           reference-rings data then the reference-rings file must
           exist. In that case, use operation 'AP I' to create 
           the reference-rings file. More than one 
           SPIDER run can use the same reference-rings file. '<br>'
           Note that old responses 'W', 'Y', & 'N' are now obsolete.

           .ENTER IMAGE: TEST
          [Give the name of the existing experimental image.  This 
          image will be checked for alignment versus the reference 
          images.]

  
       The registers receive the output.'<br>'

         Reg 1. Number of the most similar reference projection.'<br>'

         Reg  2. Not-normalized correlation coefficient.          '<br>'
               Can be used as a similarity measure.               '<br>'

         Reg  3. "-psi" angle.                                       '<br>'
              In-plane rotation angle determined.  To use in 3D
              reconstruction programs invert the sign.


NOTE:   1. The reference projections (of the existing structure)
           can be created using 'VO EA' and 'PJ 3Q' operations.  'VO EA'
           creates an angular document file with quasi-evenly spaced
           projection directions and 'PJ 3Q' creates projections
           of the volume according to this doc file.

        2. The operation switches automatically between in-core and on-disk
           versions depending on the memory available.  The  reference
           rings file can be used in either case.

        3. The operation is computationally intensive. The code is
           parallel.

        4. An example of the SPIDER batch program which can be used to produce
           an angular document file from the output document file of this
           operation is included in the manual chapter for the operation 'VO MD'.

        5. Implemented by: Paul Penczek & ArDean leith

SUBROUTINE: DSGRS, NORMAS, ALRQS, ALPRBS, CROSRNG_DS, FRNGS,
            PRB1D, FFTR_D, FFTC_D, APPLYW

CALLER:     UTIL4


