
AP RQ    Alignment - multi-reference, shift, restricted projections  ||  AP RQ
                                                                       1/28/04

PURPOSE:  Compares a series of experimental images with a series of references
          images.  For each experimental image, it finds the in-plane Euler
          rotation angle and X, Y shifts which align the image with the most-similar 
          reference image. An experimental image is only compared with reference images  within 
          a restricted angular range. The only
          difference between this operation and 'AP MQ' is how they handle 
          angular restriction. '<br>'(See '<a href='"'../align_overview.html'"'>'align_overview.html'</a>' 
            for comparison of 'AP' operations.)

SEE ALSO:  VO EA  
           VO MD  
           AP MQ  
           AP CA  
           AP MD 
           AP NQ  
           AP RA 
           AP RD 
           AP RN  
           AP SA  
           AP SR 
           PJ SQ
           AP REF

USAGE:    AP RQ

          .ENTER TEMPLATE FOR REFERENCE IMAGE SERIES: REF***
          [Give the template name of the existing file series of 2D 
           reference images (typically projections).]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: SELECTREF
          [Enter numbers of reference files. The file numbers can also
           be read from a selection document file where file numbers 
           are contained in the first register (not the keys).]

          .TRANSLATION SEARCH RANGE, STEP SIZE: 6,2
          [The search for translation parameters will be restricted to
           +/- search range, performed every "step size" pixel.'<br>'
           Restrictions:'<br>'
           1. Search range + last ring <=NSAM/2-2'<br>'
           2. Search range has to be divisible by step size.] 

          .FIRST AND LAST RING: 5,15
          [Only rings with radii in the range 5-15 will be analyzed.]
               
          .REFERENCE IMAGES ANGLES DOCUMENT FILE: Refangles
          [Enter the name of the angular document file containing Eulerian
           angles of reference images (projections): psi, theta, phi.]

          .ENTER TEMPLATE FOR IMAGE SERIES TO BE ALIGNED: DAT***
          [Give the template name of the existing file series of 
          experimental images.  These images will be checked for 
          alignment versus the reference images.]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: 1-21
          [Enter numbers of experimental files. The file numbers can also
           be read from a selection document file where file numbers are contained in the
           first register (not the keys).]

          .EXPERIMENTAL IMAGES ANGLES DOCUMENT FILE: angles001
          [Enter the name of the angular document file containing Eulerian
           angles of experimental images (projections: psi, theta, phi.
           Experimental images will be compared with only these
           reference images whose normal is within a specified range from
           this angular value.]

          .RANGE OF ANGULAR SEARCH FOR PROJECTIONS: 20.0
          [Experimental projections will be compared with only these
           reference projections whose normal is within 20 degrees range.]

          .OUTPUT ANGLES DOCUMENT FILE: PARM101
          [This is the only output produced by this program.
           It contains 6 columns for each aligned image:     '<br>'

           1. Number of the most similar reference projection. '<br>'
              When this number is negative, the most similar is the
              mirrored projection (see note 1).                '<br>'

           2. Not-normalized correlation coefficient.          '<br>'
              Can be used as a similarity measure.             '<br>'

           3. Angle.                                          '<br>'
              In-plane rotation angle determined.

           4. X-shift.                                         '<br>'
              X translation determined.

           5. Y-shift.                                         '<br>'
              Y translation determined.

           6. Experimental projection number.                  '<br>'

           7. Angular change for projection.]                  '<br>'

NOTE:   1.  In 3D space the projection with the direction: (psi, theta, phi)
            has its mirrored (around X-axis) counterpart in the direction:'<br>'
                       (-psi, 180-theta, phi+180).'<br>'
            To save time, the program takes this into account, and each data
            projection is compared with the reference projection and its
            mirrored version at the same time.  Thus, only half of the total 
            number of reference projections are required; namely, only those
            with 0<theta<90.'<br>'
            If the best match was with the mirrored reference projection,
            then the number stored in the first column of the document file
            is negative (see included batch program).
            When no matching projection was found within
            the angular range specified, this column will contain 0.'<br>'


        2. Images need not have power-of-two dimensions.

        3. The reference projections (of the existing structure)
           can be created using 'VO EA' and 'PJ 3Q' commands.  'VO EA'
           creates an angular document file with quasi-evenly spaced
           projection directions and 'PJ 3Q' creates projections
           of the volume according to this doc file.

        4. The output document file created by 'AP MQ' can be converted
           to the angular document file using 'VO MD' command.  Please
           note that in this case the angular document file created
           by 'VO EA' is required.

        5. Alignment parameters (angle and translation included in
           columns 3-5 of the output document file) can be used in
           command 'RT SQ' to align images.

        6. An example of the SPIDER batch program which can be used to produce
           an angular document file from the output document file of this
           command is included in the manual chapter for the command 'VO MD'.

SUBROUTINE: APMASTER, MRQLI_PS, MRQLI_SS, NORMAS, NORMASC, ALRQ_M, ALRQ_MS,
            CROSRNG_MS, CROSRMG_DS, CROSRNG_DS, FRNG, FRNGS, 
            APPLYWS, ALRQS, PARABLD, RINGWE

CALLER:     UTIL4

