AP SR     Alignment - reference free, Shift & Rotation ||  AP SR
                                                       4/09/03

PURPOSE:  Reference-free alignment of an image series.  Shifts and 
          rotates.
           '<br>'(See '<a href='"'../align_overview.html'"'>'align_overview.html'</a>' 
            for comparison of 'AP' operations.)

SEE ALSO:  VO EA  (Vector Operation - Even Angles doc. file)
           VO MD  (Vector Operation - angular doc. file from 'AP MD' output)
           AP CA 
           AP MD 
           AP MQ 
           AP NQ 
           AP RA 
           AP RD  
           AP RN  
           AP SA 

USAGE:    AP SR

          .TEMPLATE FOR 2-D IMAGE FILE: img****
          [Give the template name of the existing file series to be aligned.]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: 1-34
          [Enter selection document file name containing the numbers
           of the input images in the first column or file numbers.]

          .EXPECTED SIZE OF THE OBJECT: 25
          [Expected size of the object in pixels should not exceed image size.]

          .FIRST AND LAST RING RADII: 5,15
          [In the rotational alignment, only rings with the radii in the range
           5-15 (in pixel units) will be analyzed.]

          .IMAGE TO BE USED TO CENTER THE AVERAGE: *
          [Give either the name of an image (reference pattern) that
           should be used to center averges during iterations, or
           enter an '*'.  In the latter case a default procedure will
           be used, that is, initially a blob will be used to center
           all the images, and during the iterations phase approximation
           of a center of gravity will be used to center each average.]

          .ENTER TEMPLATE FOR OUTPUT FILE: OUA***
          [The output files will contain averages produced by the alignment
           program after each iteration step.]

          .ENTER TEMPLATE FOR OUTPUT DOC FILE: PRM***
          [The document files will contain the alignment parameters after
           each iteration. They contain three parameters: rotation angle and 
           x- and y-shifts. These parameters can be used directly in the 'RT SQ'
           operation to produce an aligned image series from the input image
           series.
           When used in conjunction with the Random Conical 3D reconstruction,
           the rotation angle (phi) has to have its sign changed.]


NOTE:  1. This command implements a reference-free strategy to the problem
          of the alignment 2D image series. The theory is described in
          "Three-dimensional reconstruction of single particles embedded
          in ice", P. Penczek et al., Ultramicroscopy 40 (1992) 33-53.
          The search for rotation and shift parameters is not separated.

       2. The program will work for images with positive contrast
          (bright images on dark background) ONLY.  Dark images on the 
          bright should first have the contrast inverted (for 
          example using 'AR' to do multiplication by -1).

       3. Images do not have to have power-of-two dimensions, but mixed
          radix FFT is used in the program, so please consult 'FT' manual
          for the restrictions.

       4. The internal accuracy of the search is set to 0.5 pixel.

       5. Please note that the parameters produced by this program,
          rotation and shift, are given with the proper signs. It means
          that to rotate and shift the images (using 'RT SQ', for example)
          this parameters should be applied directly (without
          sign reversion). To combine parameters given by repeated
          alignment 'SA P' command has to be used.

       6. Should the program not give good results, commands 'AP SA'
          and 'AP RA' (procedure refal.sys) can be used instead.

       7. Implemented by Paul Penczek.

SUBROUTINES: GALI, GALI_P, GETIMA_Q, ALROSI_Q, ALROSF_Q, RTQS_Q, 
             CROSRNG_Q, SHFI_2, SUMAP, BLOB_Q, ALRQ_Q, ALPRBS_Q,
             FOURING_Q, RTQ_Q, CENT_Q, FMRS_2R, FMRS_2, COP,
             FINDMX_Q,  OUTIM_Q, QUADRI_Q, OUTPR, UPDF, FNRM

CALLER:     UTIL4

