AR        ARithmetic operation                              AR      
                                                           9/10/02

PURPOSE:  Performs arithmetic operations point for point on the
          input image to create an output image.
 
SEE ALSO: NEG   (Negate/invert an image)
          AR SCA

USAGE:    AR

           .INPUT FILE: PIC001
           [Enter name of the input image.]
 
           .OUTPUT FILE: PIC002
           [Enter name for the output image.]
 
           .FORMULA: P2=: P1+0.5
           [Enter formula to be used to compute the output image
           (referred to by P2) from the input image (P1). Formula
           can be any valid math expression with many variable
           registers.                                       '<BR>'

           Examples of accepted formulae:                   '<BR>'
                      (P1-2.)/2.+SIN(P1+2)                  '<BR>'    
                      (P1/512.)+0.                          '<BR>'
                      EXP(LOG((P1/512.)+0.) +X22 + X23)     '<BR>'
                      4+ABS((P1-2.)/2.)                     '<BR>'
                      P1**3+P1+EXP((P1-2.)/2.)              '<BR>'


NOTES:   1. See documentation for general 
            '<A HREF=../user_doc.html#expressions>'rules'</A>' of 
            writing arithmetic expressions and functions in SPIDER.

         2. Order of application of operators follows that in
            Fortran (e.g. multiplication/division are performed
            before addition/subtraction).  Use ()'s to control
            the order where necessary.

         3. Two operators must not follow each other in the formula
            e.g. P2=p1*-1.0 is not allowed.

         4. To rescale an image's range to 0 - 255 using 'AR':
         '<pre>'
         FI X21,X22   ; file info. operation'<BR>'
         oldfilename  ; input file'<BR>'
         8,7          ; min and max location in header'<BR>'
         ;'<BR>'
         AR           ; arithmetic operation'<BR>'
         oldfilename  ; input file'<BR>'
         newfile      ; output file'<BR>'
         255 * (P1-X21) / (X22-X21)'<BR>'
         '</pre>'

         3. Can handle a whole stack now (Sept. 02).


SUBROUTINE: ARITH, POLISH, CALC
 
CALLER:     UTIL2




