
AT PK      Automatic particle picking - peak search             AT PK
                                                             12/12/97

PURPOSE:   Peak search over a specific region corresponding to the dimensions
           of the particle. Only peaks over the specified threshold are retained.
           Picks positive peaks only (bright particles on dark background). Depending
           on the window dimensions peaks close to the edge of the micrograph are
           excluded.

SEE ALSO:  AT WN (Automatic particle picking - windowing)
           AT SA (Automatic particle picking - statistical parameters)
           AT IT (Automatic particle picking - intermediate program)

USAGE:     AT PK

           .INPUT FILE: FIL001
           [Enter name of filtered image for peak search.]

           .NEIGHBORHOODPOINTS PIXELS FOR SEARCH:  13
           [Enter the number of pixels which corresponds approximately to the size 
           of the particle. The filtered image is searched for peaks over a region
           equal to 13 pixels in this case i.e., the highest peak in a 13 by 13 square 
           is considered. This way picking up the same particle is avoided and also
           nearest neighbour distance is taken into account. Must be 3 or greater.]

           .THRESHOLD FOR PEAKS: 0.7
           [Enter the threshold value i.e., only peaks having correlation coefficients
           over this value are picked up.]

           .MICROGRAPH EDGE DIMENSIONS: 80,80
           [Peaks closer to the edge of the micrograph are excluded. i.e.,in the example
           if x1and y1 are the x- and y- corrdinates of the peaks, and ns,nr,nsam 
           and nrow are the dimensions of the micrograph edge and the micrograph 
           respectively then the following conditions are met:'<BR>'
           (x1-(ns/2+1)) is greater than or equal to 1.'<BR>'
           (x1+(ns/2+1)) is lesser than or equal to nsam.'<BR>'
           (y1-(nr/2+1)) is greater than or equal to 1.'<BR>'
           (y1+(nr/2+1)) is lesser than or equal to nrow.'<BR>'

           .DOCUMENT FILE:  DOC001
           [Enter the name of the document file where you want the peaks to be 
           stored.]

NOTES:     1. This program was written as part of the automatic particle picking program.
           This program picks out peaks in the filtered and reduced input micrograph and 
           is very
           efficient in eliminating noise peaks. The peaks are fitted with a gaussian 
           function 
           half-width of which corresponds to the size of the object and so objects 
           whose size strongly deviates from the actual size are rejected.

           2. Ref: "Automatic Particle Picking from Electron micrograph" by Lata et.al.

           3. Further details: '<A HREF='"'../autopartpick.html'"'>'autopartpick.html'</A>' '<BR>'

SUBROUTINES: ATPK, PKD 

CALLER:     UTIL4
