
AT SA      Automatic particle picking - statistical parameters ||   AT SA
                                                               12/12/97     

PURPOSE:   This was written as part of the automatic particle picking program. 
           This routine calculates statistical parameters for the data windows 
           and determines the 
           discriminant function to be used for future particle picking. Data windows should
           have bright particles over dark background.
           Various statistical parameters (viz., variance, skewness, entropy, kurtosis, 
           some other
           secondary parameters introduced to enhance the local over global features (see
           note below.)are calculated for the input data windows (particles, noise and junk) 
           and input to the discriminant analysis program as feature vectors which casts all
           the relevant information into a discriminant function.

SEE ALSO:  AT WN (Automatic particle picking - windowing)
           AT IT (Automatic particle picking - intermediate program)
           AT PK (Automatic particle picking - peak search)

USAGE:     AT SA

           .ENTER TEMPLATE FOR WINDOW SERIES: UNT**** 
           [Enter the name of the data windows obtained from preparation part of the program
           and which have been categorized.]

           .SIZE OF MINI WINDOW: 5,5
           [Enter the size of the small window which is moved across the length and the breadth
           of the data window for evaluating local statistics.]

           .DOCUMENT WITH CATEGORIES: DOC001
           [Enter the document file containing two columns: the image number and the category 
           that it belongs to (obtained after using AT IT). Remember that the categories that
           the program associates the numbers with are as follows:
           '<PRE>'
           Category #		Category kind
               1                    Particle
               2                    Noise
               3                    Junk
           '</PRE>'

           .ANALYSIS RESULTS: ANALRES
           [Enter the name of the file where you want to store the results obtained
           after the discriminant analysis is done and the discriminant function is created.]

           .DISCRIM FUNCTION: DISCRIM
           [Enter the name of the file where you want to store the discriminant function.]

NOTES:     1. The discriminant analysis program uses the discriminant function that it created to reclassify
           the input data windows and one can check how the function performs with respect to the initial
           assignment by you. In the "particle" category one includes data windows which contain single
           particles. In the "noise" category one includes data windows which contain noise. Very few
           of these windows are obtained if one uses a high threshold like 0.75 or so in the AT PK program.
           So in the first run or the TRAINING part of the program, one needs to use a very low threshold
           value in the peak search program in order to obtain more noise windows. In the "junk" category
           one could include stains, blobs, or clumped particles (particle aggregates). 

           2. Details: '<A HREF='"'../autopartpick.html'"'>' autopartpick.html'</A>' '<BR>'

SUBROUTINE: ATSA,TOMA,MEED,TIMA,POJ,FITT,STEP,DISC,COREL,PRP,DISTEST,MAHAL,
            MYWR0,MYWR1,MYWR2,MULT,MTNV,MTPR,DISCRIM,RYS1,RYS3,DIRNM,DIST1,
            DIST2,PRT,DIST4,HDIAG,MYREAD,FGR,HGR,INVBT,CHISQ,ALPHAINT,GAM   

CALLER:     UTIL4 
