
BP 3D     Back Projection - 3D, using Euler angles ||          BP 3D 
                                                             09/29/03

PURPOSE:  Calculates Back-Projection step of 3D reconstruction using
          three Eulerian angles. Optionally one of two possible
          weighting functions is applied.

SEE ALSO: BP 3F    
          BP 32F   
          BP CG    
          BP MEM2  
          BP R2     
          BP RP    
          BP S2     
          BP W2    

USAGE:    BP 3D

          .ENTER TEMPLATE FOR 2-D INPUT IMAGES: PROJ001
          [Enter the name of any projection from the set.]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: 1-700 
          [Enter projection file numbers or the name of the document file 
           containing projection file numbers in the first column.]

          .ANGLES DOC FILE: ANGLES27
          [Enter the name of the document file containing Eulerian
           angles for the projections used (psi, theta, phi).]
                
          .OUTPUT VOLUME: X, Y & Z DIMENSIONS:  75,77,35
          [Enter X, Y, & Z (NSAM, NROW, & NSLICE) dimensions of the 
          volume to be reconstructed.
          These are independent of the dimensions of the 
          projections.  The center is assumed to be at point (NSAM/2+1,
          NROW/2+1,NSLICE/2+1).]
          
          .FIRST, LAST SLICE TO BE RECONSTRUCTED: 2,24
          [Enter Z borders of the volume to be reconstructed. Must be
           no larger than Z dimension entered above.]

          .SNR / DIAMETER: 1.0E+4
          [Depending on the value: '<BR>'
            0 - weighting will be ommited and only back projection
                will be done.               '<BR>'
           >0 - Signal-to-Noise-Ratio for the Wiener filtration of 
                type one weighting function. '<BR>'
           <0 - Diameter of the structure for the weighting in
                type two weighting function.] 
                
          .OUTPUT VOLUME: VOLUME1001
          [Name of the output file.]

NOTE:     1. The projections do not have to have power-of-2 dimensions.

          2. The output volume has dimensions defined by X and Y dimensions
             entered and has Z dimension defined by first and last slice
             entered.  According to the numbers used above the volume
             would be 75x77x23.

          3. Weighting function is applied in 2D and the type is 
             decided by the sign of the parameter given in SNR/DIAMETER.'<BR>'
             For parameter equal zero no weighting is applied.  '<BR>'
             For parameter larger than zero, type one weighting
             function is applied.  The smaller the parameter the
             stronger the lowpass filtration effect.
             This weighting function is a Gaussian function as
             described in:
             M. Radermacher, Weighted Back-Projection Methods. (p.102) 
             In: '<I>'Electron Tomography'</I>'. Ed.: J. Frank, 1992.'<BR>'
           '<P>'
            For parameter lower than zero, type two weighting
             function is applied.  Its absolute value defines the
             diameter of the reconstructed volume.  Normally DIAMETER=NSAM.
             The smaller the parameter the stronger the lowpass filtration effect.
             This weighting function is a "triangular overlap function"
             as defined in:
             G. Harauz and M. van Heel, Exact filters for general
             geometry three dimensional reconstruction.'<I>'Optik'</I>' 73 (1986) 146-156.

          4. Implemented by Paul Penczek.

SUBROUTINES: BCQ, BUILDM, CANG, BPCQP, BPCMP, BPCQ, BPCM, WTF, WTM

CALLER:      VTIL2
