
BP CG     Back Projection - 3D, conjugate gradients, ||     BP CG   
                                                             05/03/99

PURPOSE:  Calculates 3D reconstruction using conjugate gradients with
          regularization.

SEE ALSO: BP 3D   (Back Projection - 3D, using Euler angles, ||)
          BP MEM2 (Back Projection - 2D maximum entropy method)
          BP R2   (Back Projection - 2D, R**2 weighting of the image series)
          BP RP   (Back Projection - 3D, iterative, with constraints, ||)
          BP S2   (Back Projection - 2D, single tilt iterative, with constraints)
          BP W2   (Back Projection - 2D, filtered weighted)

USAGE:    BP CG

          .ENTER TEMPLATE FOR 2-D IMAGE FILE: PROJ***
          [Enter template for projection input files.]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: 1-700 OR IMAGES127
          [Enter projection file numbers or the name of the document file 
           containing projection file numbers in the first column.]

          .RADIUS OF RESTORED OBJECT: 23
          [Enter radius of reconstructed object (smaller than half the
           volume size, see below for further restrictions). 
           The reconstruction is calculated inside the sphere only.]

          .ANGLES DOC FILE: ANGLES27
          [Enter the name of the document file containing Eulerian
           angles for the projections used (psi, theta, phi).]
                
          .DOES YOUR VOLUME HAVE SYMMETRIES? (Y/N): Y
          ['<b>'Not implemented yet.'</b>' '<br>'
           Answer Yes if you want the symmetries to be internally
           enforced on your volume.  The reconstruction in this case is
           calculated as though the projections were multiplied
           as many times as there are symmetries.]

    If the answer was 'Y' SPIDER will ask:

          .SYMMETRIES ANGLES DOC FILE: ANGSYM
          [Enter the name of the document file containing Eulerian
           angles defining symmetries (psi, theta, phi). The angles
           should be such that when used in operation 'RT 3D' transform
           the volume into itself.  The identity operation 
           (angles 0,0,0) MUST be included.]
                
          .RECONSTRUCTED 3-D FILE: VOLUME1001
          [Name of the output file.]

          .Error limit, Chi^2 limit: 1.0e-5,0.0
          [Both value can be used as stopping criteria to terminate the iterations.
           When the relative error or chi-squared error of the structure becomes
           smaller than the preset value, the iterations are
           terminated. When correction limit is set to zero,
           this criterion is not used.]

          .ITERATION LIMIT, MODE: 25,1
          [Program will terminate after number of iterations given.
           Mode determines the regularization used:              '<BR>'
           0 - no regularization,                   '<BR>'
           1 - first derivatives,                   '<BR>'
           2 - second derivatives,                                '<BR>'
           3 - third derivatives.                                '<BR>'
           ]

          .Lambda:2000.
          [Lambda determines relative weight of regularization.
           Large lambda results in a stronger supression of noise
           (thus smoother reconstruction), small lambda will give
           more detailes, but the process becomes more sensitive to noise.]

NOTES:    1. The projections need not have power-of-2 dimensions.

          2. If the radius of the reconstructed circle is too large
             comparing to the size of projections, a warning is printed.
             The reconstruction is calculated, but it is incorrect
             along the boundary.

          3. Suggested lambda values for each mode:
           '<PRE>'
              mode         lambda
               1            2000
               2             500
               3             100
           '</PRE>'
             Error limit should be set to 1.0E-5, chi^2 limit to 0,
             number of iterations to 20.  If for a given data set
             lambda was set correctly the procedure should converge
             (error should become less than 1.0E-5) in approximately
             15 steps.  The procedures works properly if both relative 
             error and chi^2 error decrease steadily (printout
             is in the results file).
 
          4. It is assumed that projections are squares (NSAM=NROW), so
             the output volume has dimensions NSAMxNSAMxNSAM.

          5. Memory requirement: 2*(NSAM**3)

          6. Implemented by: Paul Penczek.

SUBROUTINES: REPCG, PREPCUB_S, HIANG, RPRQ, PRJCQ, BCKCQ 

CALLER:      VTIL2
