
BP R2     Back Projection - 2D, weighting of image series ||      BP R2
                                                               05/03/99

PURPOSE:  Applies R**2 or R* weighting to the series of 2D projections
          using built-in Parzen filter function.
          Applicable to the evenly distributed 2D projections or
          in the cases when large number of randomly distributed
          projections approximates the even distribution.
          Provides quick and efficient way to obtain 3D reconstruction
          (in particular in conjunction with 'BP RP' operation with
          one iteration step specified).
          For more accurate 3D reconstruction either general weighting
          ('BP 3D') or iterative reconstruction ('BP RP') has to be used.
          The dimensions of projections do not have to be powers
          of two.

SEE ALSO: BP 3D   (Back Projection - 3D, using Euler angles, ||)
          BP CG   (Back Projection - 3D, conjugate gradients, ||)
          BP MEM2 (Back Projection - 2D maximum entropy method)
          BP RP   (Back Projection - 3D, iterative, with constraints, ||)
          BP S2   (Back Projection - 2D, single tilt iterative, with constraints)
          BP W2   (Back Projection - 2D, filtered weighted)

USAGE:    BP R2

          .ENTER TEMPLATE FOR 2-D IMAGE NAME FILE: PRO***
          [Enter the prefix of the projection file series.]

          .ENTER TEMPLATE FOR 2-D OUTPUT FILE: PRW***
          [Enter the prefix of the weighted projection file series.]

          .SELECTION DOC FILE: proseries001
          [Enter selection document file name containing the numbers
           of the input images in the first column.]

          .FREQUENCY CUT-OFF FOR PARZEN FILTER: 0.25
          [For cut-off equal zero R**2 weighting and no filter is applied.
           For cut-off larger than zero R**2 weighting and Parzen filter is applied.
           For cut-off equal -1.0 R* weighting and no filter is applied.
           For cut-off smaller than zero R* weighting and Parzen filter (with
           positive cut-off) is applied.]

NOTES:    1. R**2 (squared R) weighting is appropriate for 
             3D reconstruction, R* (R-star) weighting is appropriate for 
             2D reconstruction.

          2. During weighting images are padded with the average to
             double the size.

          3. Implemented by: Paul Penczek.

SUBROUTINES: BPWR, BPWR_Q

CALLER:      VTIL2
