
BP W2     Back Projection - 2D, filtered, weighted ||           BP W2   
                                                             12/16/04

PURPOSE:  Calculates 2-dimensional weighted back projection
          reconstruction for single-tilt geometry using built-in 
          Parzen filter function.

SEE ALSO: BP 3D   (Back Projection - 3D, using Euler angles, ||)
          BP CG   (Back Projection - 3D, conjugate gradients, ||)
          BP MEM2 (Back Projection - 2D maximum entropy method)
          BP R2   (Back Projection - 2D, R**2 weighting of the image series)
          BP RP   (Back Projection - 3D, iterative, with constraints, ||)
          BP S2   (Back Projection - 2D, single tilt iterative, with constraints)

USAGE:    BP W2

          .ENTER TEMPLATE FOR 2-D INPUT IMAGE FILES: PRJ***
          [Enter a template for names of images in the projection file series.]

          .SELECTION DOC FILE: SELECT
          [Enter the name of the document file containing projection
           file numbers in the first column. These numbers will be
           used to select images and their corresponding angles.]

          .ANGULAR DOC FILE: ANGLES
          [Enter the name of the document file containing Eulerian
           angles for the projections used (in order: psi, theta, phi).
           Only theta is actually used, psi and phi are ignored.]

          .RADIUS OF RECONSTRUCTED OBJECT, HEIGHT (NSLICE): 45,30
          [The reconstruction is calculated for a cylinder parallel to
           the Y (nrow axis)  within the slab of specified height. 
           This height is the NSLICE dimension of resulting 3D volume.]

          .RECONSTRUCTION FROM NROW1.....NROW2: 2,73
          [The reconstruction is calculated between specified
           NROW borders. Default is NROW1=1, NROW2=NROW.
           The 3D output volume will have dimensions:
            (NSAM, NROW2-NROW1+1, HEIGHT)
           where NSAM is original 2D projection dimension.]

          .FREQUENCY CUT-OFF FOR PARZEN FILTER: 0.3
          [The Parzen filter is zero for the frequencies higher then
           the cut-off frequency. If zero is answered no filter is
           used.]

          .3-D OUTPUT FILE: UUU101
          [Name of the output volume.]

NOTES:    1. Only the theta angle from the angular document file is used.
             Two remaining angles (psi and phi) are ignored.

          2. The projections do not have to have power-of-2 dimensions.

          3. If the radius of the reconstructed circle is too large
             compared to the size of projections a warning is printed.
             The reconstruction is calculated, but it is incorrect
             on the boundary.

          4. Implemented by: Paul Penczek.

SUBROUTINES: WGBP2, RDPA, FFTR_Q

CALLER:      VTIL2
