
CA S      Correspondence Analysis -  Solution                     CA S    
                                                                1/22/04

PURPOSE:  Execute correspondence (CORAN) analysis, or Principal 
          Component Analysis (PCA) of image data.  
          The solution is found and eigenimages are calculated.

SEE ALSO: CA SM  
          CA SR  
          CA SRD 
          CA SRI 
          CA VIS 
          SD C
  
USAGE:    CA S 

          .ENTER IMAGE FILE TEMPLATE : SEC***
          [Enter a file name template identifying the image series 
          to be analyzed.]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME 1-40,45,50-70
          [Enter numbers of image files in the series.  If the images 
          are supplied as a 3D stack, then the numbers are interpreted 
          as slice numbers.]

          .MASK FILE: MAS002
          [Enter the name of the file containing a mask.  Only
          image pixels where mask pixels are greater than 0.5 are
          analyzed in CORAN or PCA. Enter '*' if no masking is desired.]

          .NUMBER OF FACTORS: 20
          [Enter the number of factors to be used.  Note that 
          eigenvectors and eigenvalues are only computed up to this
          number. ]

          .CORAN, PCA, OR SKIP ANALYSIS (C/P/S): C
          [P: will start Principal Component Analysis.   '<br>'
           C: will start Coran Analysis.,
           S: will skip analysis and just create _SEQ file.]

      If CORAN is used the following question appears:

          .ADDITIVE CONSTANT: 0.0
          [CORAN analysis can not accept images containing negative values.  
          If images contain negative values  this can be overcome by 
          specifying an additive constant that will be added to all 
          (within-mask) pixels of all images].

          .OUTPUT FILE PREFIX: coran
          [Enter the prefix used for the output files where data are
          to be stored.  'CA S' creates five or six files to store
          the results.  In these files the variable definitions are:  '<br>'

          '<pre>
          NUMIM = NUMBER OF IMAGES
          NPIX  = NUMBER OF PIXELS UNDER MASK
          NFAC  = NUMBER OF FACTORS
          NSAM  = IMAGE X DIMENSION
          NROW  = IMAGE Y DIMENSION
          PCA   = 1 if PCA, 0 if CORAN
          FIM   = ORIGINAL IMAGE NUMBER
          FPIX  = PIXEL NUMBER
          '</pre>'


          The files are:   '<p>'

          PREFIX_SEQ      Sequential file having image values. This file
                          decreases memory requirements.             '<br>'
          '<pre>' 
          NUMIM, NPIX
          IMAGE(1) VALUES(1...NPIX), FIM(1)
          IMAGE(2) VALUES(1...NPIX), FIM(2)
                     . 
                     .
          IMAGE(NUMIM) VALUES(1...NPIX), FIM(NUMIM)
          '</pre>'

          PREFIX_SET      Transposed direct access file having image 
                          values. This file decreases memory requirements.             '<br>'
          '<pre>' 
          PIXEL(1) VALUES(1...NUMIM)
          PIXEL(2) VALUES(1...NUMIM)
                     . 
                     .
          PIXEL(NPIX) VALUES(1...NUMIM)
          '</pre>'


          PREFIX_IMC      Text file with image coordinates.           '<br>'
          '<pre>' 
          NUMIM, NFAC, NSAM, NROW, NUMIM, PCA
          IMAGE(1) COORDINATES     (1..NFAC), WEIGHTP(1), DOR, FIM(1)
          IMAGE(2) COORDINATES     (1..NFAC), WEIGHTP(2), DOR, FIM(2)
                     . 
                     .
          IMAGE(NUMIM) COORDINATES (1..NFAC), WEIGHTP(NUMIM), DOR, FIM(NUMIM)
           '</pre>'


          PREFIX_PIX      Text file with pixel coordinates.          '<br>'
          '<pre>'  
          NPIX, NFAC, NSAM , NROW , NUMIM
          PIXEL(1) COORDINATES     (1..NFAC), WEIGHTP(1), CO(1), FPIX
          PIXEL(2) COORDINATES     (1..NFAC), WEIGHTP(2), CO(2), FPIX
                     . 
                     .
          PIXEL(NPIX) COORDINATES (1..NFAC), WEIGHTP(NPIX),CO(NPIX), FPIX
          '</pre>'


          PREFIX_EIG      Text file with eigenvalues.'<br>'
          '<pre>' NFAC,         TOTAL WEIGHT, TRACE
                  EIGENVALUE(1),      %,      CUMULATIVE %
                  EIGENVALUE(2),      %,      CUMULATIVE %
                   . 
                   .
                  EIGENVALUE(NFAC),   %,      CUMULATIVE %
                  IF (PCA)
                     IMAGE OR PIXEL AVERAGES (1..10)
                     IMAGE OR PIXEL AVERAGES (11..20)
                     . 
                     .
           '</pre>'

          PREFIX_MAS      Mask FILE in SPIDER image format     '<br>'

NOTES:   1. In general, it is advisable to request a large number of
          factors (even larger than number of pixels under the mask, the
          system will automatically limit the number of factors to the 
          permitted number).           

         2. '<b>'WARNING'</b>': for very large problems (the size of
          covariance matrix in the order of thousands) the methods used
          are slow and inaccurate, the system may fail on numerical
          accuracy.

SUBROUTINES: JPMSK1, SCORAN3, INCOR3, INCORT, GETCOO, GETCOOT, VPROP, FILELIST

CALLER:      UTIL1
