
CA SM     Correspondence Analysis - Show Map & Eigen Values   CA SM   
                                                              5/7/04

PURPOSE:  Print selected factor map and eigenvalues 

SEE ALSO: CA S   
          CA SR   
          CA SRD   
          CA SRI   
          CA VIS
          CL CLA
    
USAGE:    CA SM

          .(I)MAGE OR (P)IXEL COORDINATES: I
          [Enter 'I' if you wish to have a map of images, and 'P'
          for a map of pixels.]

          .COORDINATE FILE PREFIX: coran_may_
          [Enter the prefix identifying the data files created
          from a previous  
          '<a href='"'./cas.html'"'>''CA S'</a>' run: _IMC, _PIX, & _EIG.]

          .NO. OF HORIZONTAL PATCHES: 0
          The number of horizontal patches does not need to be 
          specified, UNLESS this particular CORAN analysis
          was done on a set of correlation patch averages.  In this
          case, a small lookup map is printed on the sheet
          preceding the actual map, which helps you trace the image
          numbers back to the patches they originated from in the 
          image field.  E.g., a set of 18 patch averages originating 
          from 3 rows of 6 patches each would require the input 
          NO. OF HOR. PATCHES = 6, and this would yield the lookup map: '<br>'

                        1  2  3  4  5  6    '<br>'
                        7  8  9 10 11 12    '<br>'
                       13 14 15 16 17 18 ]  '<br>'

          .ENTER TWO FACTOR NUMBERS FOR MAP (E.G: 1,5): 1,2
          [Enter the number identifying the factors for which the map
          is to be printed.  Factor 1 is the first non-trivial factor.]

          .(S)YMBOL, (A)SSIGN SYMBOL, (C)LASS, (D)OC, (I)D: I

          [Enter 'S' if you want to enter a character symbol for
                     each active image;                           '<br>'
           Enter 'I' if you want the numbers identifying the images
                     or pixels to be printed. (this is the standard 
                     option for a CORAN map.);                   '<br>'

           [The following additional options are for images only:'<br>'
           Enter 'A' if you want to assign symbols to specific 
                     ranges of ID numbers.                       '<br>'
           Enter 'C' if you want the class number of the image to
                     appear as symbol (in this case, a cluster file
                     from a previous run of 
                     '<a href='"'./cas.html'"'>''CL CLA'</a>' 
                      must be available). '<br>'
           Enter 'D' if you want to supply a specific symbol for each
                     image. (in this case, a document file must be supplied
                     that specifies the symbol lookup)].

    If 'S', then the following question appears:

          .ENTER 1 CHAR. SYMBOL FOR ACTIVE IMAGE/PIXEL:

    For all options, the following question appears:

          .PREPARE POSTSCRIPT FILE FOR MAP? (Y/N): Y
          [Option 'Y' prepares Postscript output containing the map.
           Option 'N' lists map in RESULTS file only.]
 
    If the answer is "N" the following questions appear. 

          .NUMBER OF PAGES (1,2,3) OR <CR>=1: 2
          [Specify number of pages for the map.]

          .NUMBER OF LINES OR <CR> FOR DEFAULT: <RETURN>
          [Default:  horizontal space, known from the number of
          pages, is used to determine the number of lines.  Enter a
          number if you want to override the default.]

    For all answers, the following two questions appear:

          .NUMBER OF SD OR <CR>=2.3: <RETURN>
          [The map is truncated for efficient visualization of the
          data cloud.  Normal cutoff is set at 2.3 x standard
          deviation.  Outliers outside the map are listed along with
          their coordinates, and printed exactly on the border.]

          .1=FLIP #1/ 2=FLIP #2/ 3=FLIP 1+2/ <CR>=NO FLIP:<return> 
          [Flips axis of map.]
          
      In case the 'C' option was selected the following question appears:

          .CLUSTER FILE: CLU002
          [Enter the name of the cluster file  from a previous run of 
                     '<a href='"'./cas.html'"'>''CL CLA'</a>'
.
      In case the 'A' option was selected, the following questions
      appear:

          .SYMBOL: X
          [Enter symbol]
          .Until ID #: 320
          [Enter upper limit up to which the symbol should be used]
          .SYMBOL: y
              .
          .Until ID #: 320
              .
          [The questions continue until 0 or <RETURN> is entered for
           ID #.]

    In case the 'D' option was selected, the name of the document
    file containing the symbol lookup will be solicited:

          .LOOKUP FILE: DOC001

          [the document file should contain, the
          original image ID number (=Key), and the standard
          Fortran code number of the ASCII character to be used
          as symbol (=Register 1)].

    If a Postscript map was requested the following
    questions will appear, usually the default <CR> answer is OK:

          .POSTSCRIPT OUTPUT FILE: posmap
          [Default extension is .ps.]

          .TEXT SIZE FOR AXIS AND DATA (USE <CR> FOR DEFAULT = 10):12 12
          [Allows control over text size.  A size of 10 is a reasonable
          default. A negative answer will skip the following questions
          and use appropriate default values instead.]

          .ENTER X AXIS OFFSET: 0

          Bounds for X axis of plot listed.

          .ENTER NEW LOWER, UPPER AXIS BOUNDS OR <CR>: <CR>
          [Can change y axis bounds or keep default by entering
          <return>.]

          X axis label units listed.

          .ENTER NEW AXIS LABEL UNIT AND TICKS / LABEL OR <CR>: <CR>
          [Can change X axis label unit or keep default]

          .ENTER LABEL NO. TO EDIT. USE 0 FOR LABEL: 1
          -1 TO RELIST ALL LABELS, OR <CR> TO CONTINUE: <CR>

          Bounds for Y axis of plot listed.

          .ENTER NEW LOWER, UPPER AXIS BOUNDS OR <CR>: <CR>

          .ENTER Y AXIS OFFSET: 0 

           Y axis label units listed.

          .ENTER NEW AXIS LABEL UNIT AND TICKS / LABEL OR <CR>: <CR>

          .ENTER LABEL NO. TO EDIT. USE 0 FOR LABEL: 1
          -1 TO RELIST ALL LABELS, OR <CR> TO CONTINUE: <CR>

NOTES:  1. The list of eigenvalues, their percentages, and cumulative 
           percentages will be written in the SPIDER results file.  

SUBROUTINES: SGRAF, HISMAP, HISMAP4, BORNS, EPUR4, POSTRT

CALLER:      UTIL1

