CC MS     Cross Correlation - Masked and normalized ||            CC MS   
                                                              10/08/00

PURPOSE:  Calculates crosscorrelation coefficients for circular     
          mask. Coefficients are normalized. Image is padded with 
          zeros. Works only for real images (not their Fourier
          transforms!).
          Command uses mix-radix FFT - the images need not have
          power-of-two dimensions.

SEE ALSO: CC    (cross correlation)
          CC N  (cross correlation - normalized)

USAGE:    CC MS

          .INPUT FILE: PIC001
          [Enter the name of the first image file.]

          .REFERENCE FILE: PIC001
          [Enter the name of the second, reference image file.]

          .OUTPUT FILE: CAC001
          [Enter name of the file which will contain CC coeffs.]

          .MASK RADIUS: 25
          [Enter radius of the circular mask which will be centered at
          NSAM/2+1,NROW/2+1]

          .(F)ULL OR (H)ALF OUTPUT FILE: F
          [F results in a crosscorrelation function file with dimensions
           2*NSAM,2*NROW (useful for mask radius =>MAX(NSAM/4,NROW/4).
           H results in a crosscorrelation function file with dimensions
           NSAM,NROW (enough if one is interested only in lower order
           CCF coeffs. or mask radius is small)]

NOTES:  1.  See documentation on 'CC' for the location of the origin.

        2.  For non-masked crosscorrelation function use CC.

        3.  Command wors for 2D images only.

        4.  Implemented by Paul Penczek.

SUBROUTINES: MCCF, MCCF_P, FMRS_2, FMRS_1, FFTMCF, CCRS_2

CALLER:      CORR1
