CC P      Cross Correlation, Polar ||                               CC P    
                                                                10/08/00

PURPOSE:  Computes the 1D cross-correlation function of two
          pictures by using the Fourier transform relationship.
          The dimensions of the two pictures must be the same;
          however, the dimensions need not be powers of two
          (see 'FT' for restrictions).

SEE ALSO:  CC N   (Cross Correlation - Normalized)
           CN     (CoNvolution)
           CN N   (CoNvolution - Normalized)
           AC     (Auto Correlation)
           AC N   (Auto Correlation - Normalized)
           CC C   (Cross Correlation Coefficient)
           FT     (Fourier Transform)
           PO     (Fourier Transform)

USAGE:    CC P,X11,X12

          [The optional output parameters X11,X12 specify register
          positions for the rotation angle and the value of the
          angular correlation peak found in this operation.  This output
          is relevant only when input images were polar coordinates
          representations of rectangular images (operation 'PO').]

          .INPUT FILE: PIC001
          [Enter the name of the first picture.]

          .REFER FILE: REF001
          [Enter the name of the second picture, which is used
          as the reference.]

          .OUTPUT FILE: CCF001
          [Enter name of the file which will contain 1D cross-correlation
          coefficients.]
          
          .(F)ULL OR (H)ALF CIRCLE: F
          [Specify whether input polar coordinates images were created using
           option F or H in command PO.]

NOTES: 1. For rectangular images, this command calculates 1D
	  crosscorrelation functions between respective lines of input
	  images and all of them are added to create an 1D output.
	  This makes it possible to calculate cross-correlation
	  function between images converted to polar coordinates using
	  'PO' operation.

       2. The cross-correlation data are not scaled.

       3. The origin of the CCF is at (INT(NSAM/2) + 1).

       4. Command 'CC P' works properly for 1D images (images consiting of one
          line only).

            
SUBROUTINES: POLAR_CC, FFTMCF, FMRS_1

CALLER:      CORR1
