
CE FIT    Contrast Enhancement - FIT the histogram             CE FIT
                                                             10/03/05

PURPOSE:  Finds the linear transformation (applied to pixels) which 
          fits the histogram of the image file to the histogram of 
          the reference file.

SEE ALSO: CE     (Contrast enhancement)
          CE OD  (Contrast enhancement - adjust optical densities)
          CE GNC (Contrast enhancement - graduated non convex restoration)
          CE MED (Contrast enhancement - using median filtering)

USAGE:    CE FIT

          .REFERENCE IMAGE FILE: REFER001
          [Enter the name of the reference file.]

          .IMAGE TO BE CORRECTED: IMG001
          [Enter the name of the input image whose histogram is
           to be corrected.]

          .MASK FOR THE IMAGE TO CORRECTED: MASK999
          [Enter the name of the mask file. This file has to have
           the dimensions equal to the dimensions of the file
           to be corrected. The non-zero elements indicate 'active'
           pixels.]

          .OUTPUT FILE: OUT001
          [Enter the name of the output file. Please note that all
           the pixels will be transformed according to the linear
           transformation found for the pixels under the mask.]

NOTES:     1. Reference file does not have to have the dimensions related
           to the dimensions of the corrected file. Both files can be
           either 2D or 3D in any combination (for example reference
           file can be 3D and corrected file 2D). It is reasonable
           to have more pixels in the reference file.

           2. The reference file should contain the background noise of
           the micrograph, and the mask should be prepared in such a way
           that it cuts out any structure from the corrected file.
           In this way the histograms of the background noise will
           be matched.

           3. Memory requirements: both files are kept in the memory.

           4. Implemented by Paul Penczek.

           5. Application described in Lambert O., N.Boisset, P.Penczek,
              J.Lamy, J-Ch.Taveau, J. Frank, J.N.Lamy.  Quaternary
              structure of '<i>'Octopus vulgaris'</i>' hemocyanin.
              J. Mol. Biol. (1994), 238, 75-87.

SUBROUTINE: HISTE

CALLER:     UTIL2
