
CE HARALICK    Contrast Enhancement - Haralick             CE HARALICK 
                                                               6/16/01

PURPOSE:  Texture based segmentation of image using Haralick operators.

SEE ALSO: CE VAR
          CE HURST
          

USAGE:    CE HARALICK

          .INPUT FILE: IMG001
          [Enter the name of the input file.]

          .OUTPUT FILE: IMG002
          [Enter  name for output file.]
  
          .NEIGHBORHOOD X & Y:  13 13
          [Neighborhood around a pixel. Must be odd numbers.]

          .INTENSITY LEVELS: 32
          [Intensity levels for co-occurance matrix.]

          .OFFSET IN X & Y: 2 2
          [Offsets for co-occurance.]

          .MODE NUMBER (1...6): 1
          [Mode 1: Homogeneity using second moment '<BR>'
           Mode 2: Contrast using difference moment.'<BR>'
           Mode 3: Weighted average absolute distance from diagonal.
                   Gose, Johnsonbaugh & Jost, "Pattern Recognition and Image
                   Analysis" refer to this as "inertia". '<BR>'
           Mode 4: Castleman refers to this as "entropy".'<BR>' 
           Mode 5: Most probable intensity at the offset.'<BR>'
           Mode 6: Linear dependency of brightness. ]


NOTES: 1.  Image is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Uses Co-occurance of brightness differences inside
           neighborhood.  Image is mapped to a limited number
           of intensity levels before finding the co-occurance
           matrix.

       3.  Reference:  John C. Russ, "The Image Processing Handbook",
           CRC Press, Inc.  (2000)

       4.  I have not implemented this for volumes since most EM
           volumes do not have a strong anisotropy in textures with
           direction, thus a 2D approach is just as useful as 3D.
           Volumes are processed slice-by-slice.

SUBROUTINES: FILTER_HAR

CALLER:      UTIL2
