
CE OD     Contrast Enhancement - adjust Optical Densities       CE OD
                                                             07/11/97

PURPOSE:  Finds the logarithmic transformation (applied to pixels) which 
          adjusts the histogram of the image file to the normal N(0,1)
          distribution.  Can be used to convert transmission values
          from a scanner to optical density - the assumption is that
          pixel values should have normal distributions.

SEE ALSO: CE     (Contrast enhancement)
          CE FIT (Contrast Enhancement - fit the histogram)
          CE GNC (Contrast enhancement - graduated non convex restoration)
          CE MED (Contrast enhancement - using median filtering)

USAGE:    CE OD,X21,X22,X23

          .IMAGE TO CORRECT FILE: IMG001
          [Enter the name of the image file which histogram has
           to be corrected.]

          .HISTOGRAM LENGTH: 16
          [Enter the length of the histogram. For 8 bits scanner
           the density range is 0-255, thus 16 is appropriate.
           For 8 bits scanner use 32.]

NOTES:     1.Input file can be either 2D or 3D.

           2.The input file should contain the background noise of
           the micrograph.

           3.The transformation is  A*(ALOG10(x+B)+C).'<BR>'
             The parameters are returned in the registers:'<BR>'
             A - X21'<BR>'
             B - X22'<BR>'
             C - X23'<BR>'

          4. Memory requirements: input file is kept in the memory.

          5. Implemented by Paul Penczek.

          6. Example is included at the end.

SUBROUTINE: HISTOD, HISTODC, FHODT

CALLER:     UTIL2

'<PRE>'
 ; Adjust optical densities to the normal distribution.
 CE OD,x21,x22,x23
 pap001
 32
 ar
 pap001
 _2
 x21*(LOG(p1+x22)+x23)
 FS
 _2
 CP
 _2
 pap002
 EN D
'</PRE>'

