
CL CLA    CLassification - Clustering                       CL CLA   
                                                           11/17/04

PURPOSE:  To find clusters of images in factor space (or a selected 
          subspace) by using Didat's method of moving centers, and  
          to apply hierarchical ascendant classification (HAC) to   
          the resulting cluster centers.                            

SEE ALSO: CL HC    
          CL HD    
          CL HE    
          CL KM    

USAGE:    CL CLA   

          .CORAN/PCA FILE PREFIX: COR_01_
          [Enter name of the prefix of the
           image factor coordinate file (_IMC) containing your data. 
          This file was created by '<a href='"'./cas.html'"'>''CA S'</a>'.

          .CLUSTER OUTPUT FILE: CLU001                                       
          [Enter name for cluster file where cluster and             
          classification parameters are placed for later reference. 
          This file must NOT exist currently.]    

          .FACTOR NUMBERS: 1-3,6-8                              
          [Enter factors to be used in the cluster search.]          

          .NUMBER OF ITERATIONS & CENTERS PER PARTITION: 5,8                
          [Enter number of iterations per partition, (default=5)     
          and number of centers ("seeds") per partition (default=5).]

          .NUMBER OF PARTITIONS: 3                                       
          [Enter number of partitions (default=4).]

          .LEVeL FOR CLASS CUTOFF (0=NO CUTOFF): 2.4
           [Enter the cutoff level at which the dendrogram will be cut. 
           Only top portion will be produced. This number must
           be be in the range of the scaling of the dendrogram
           tree which was just reported.]

          .DO YOU WANT A DENDROGRAM POSTSCRIPT PLOT (Y/N): Y
          [If the answer is "Y" a dendrogram plot will be
           made.]
        
    If the answer is "Y" the name of the output file will be 
    solicited:

          .ENTER POSTSCRIPT OUTPUT FILE: DEN001

          .DO YOU WANT A DENDROGRAM DOC. FILE? (Y/N): Y
           [Allows preparation of a dendrogram document file for 
           hierarchical clustering.]

    If the answer is "Y" the name of the document file will be 
    solicited:

          .DOCUMENT FILE:   DOC001
          

NOTES: 1. The RESULTS file contains the following information:'<br>'

          A) Aggregation history:'<br>'
          For each of the NP partitions, the NS seeds and sizes of
          clusters are listed.  The non-empty clusters in the crossed  
          partition are given by size and cummulative percentage.  A 
          total of NS**NP clusters are possible, but in practice, only
          10% of these are non-empty.                  '<br>'

          B) Description of hierarchy nodes in HAC:             '<br>'
          The nodes are numbered starting from the number of the highest
          cluster.  For each node, the Senior, Junior, size, weight
          and hierarchy index are given.  The hierarchy index is printed
          out as a histogram.                                 '<br>'

          C) Description of the hierarchy classes:            '<br>'
          For each node the constituent classes are listed.   '<br>'

          D) HAC Dendrogram:                                  '<br>'
          The class relationships are represented in the form of a     
          dendrogram (tree structure).  The lengths of the branches (in
          horizontal print direction) are proportional to the heirarchy
          indices.                                             '<br>'

          E) List of class members:'<br>'
          The members are listed for each of the basic non-empty classes.
          '<br>'
          F) List of class center coordinates:                '<br>'
          For each class, the NFAC coordinates of its center is listed.
          These are contained in the cluster file.            '<br>'

          G) Re-classification lookup table:                  '<br>'
          Each cutoff point in the dendrogram, from right to left, defines
          a new classification scheme with the number of classes increasing
          by 1 each time.  The table gives the new class memberships for
          any cutoff point selected.                          '<br>'

       2. The algorithm underlying this set of programs is described by
          Lebart et al., '<i>'MULTIVARIATE DESCRIPTIVE STATISTICAL ANALYSIS,
          '</i>'J. Wiley and Sons, New York 1984, Chapter V, p.109.

SUBROUTINES: SCLASSI, NOYAU, CHAVA, DEUCL, RGRI,
             RCLU, DENDRO, ARBRE, PARST, STABK, SHELK, COUPE, CLAST,
             RETIR, SEN3A, DENDRO2, DENLST

CALLER:      UTIL1
