
CL HC     CLassification - Hierarchical Clustering            CL HC   
                                                           5/15/04

PURPOSE:  Performs hierarchical clustering according to one of several
          clustering criteria, on factors produced by CORAN.

SEE ALSO: CL CLA   
          CL HD      
          CL HE      
          CL KM     
 
USAGE:    CL HC

          .CORAN/PCA FILE (e.g. CORAN_01_IMC~) FILE: coran_t_IMC
          [Enter name of the 
           raw image data sequential file (_SEQ), 
           image factor coordinate file  (_IMC), or 
           pixel factor coordinate file  (_PIX) file containing your data. 
          These files were created by 
          '<a href='"'./cas.html'"'>''CA S'</a>'.

          .FACTOR NUMBERS: 1,3,4,6
          [Enter the factors to be included in the hierarchical clustering 
          algorithm.]

          .FACTOR WEIGHT: 1.5
          [Enter a weight for each factor selected. If the answer zero is
          given at any point, all weights from the current factor onwards 
          are set to one. This question is asked as many times as the number 
          of factors specified, or is terminated by the answer zero.]

          .CLUSTERING CRITERION (1-5): 2
          [Enter the number indicating clustering criterion to be
          used. Possible choices are:                               '<br>'
          Option 1: single linkage                                  '<br>'
          Option 2: complete linkage                                '<br>'
          Option 3: average  linkage                                '<br>'
          Option 4: centroid method                                 '<br>' 
          Option 5: Ward's method]

          .DO YOU WANT DENDROGRAM POSTSCRIPT PLOT? (Y/T/N): T
          [Y - The whole dendrogram will be plotted                '<br>'
           T - A truncated dendrogram will be plotted (useful for
               large number of objects)                              '<br>'
           N - No dendrogram  will be plotted.]

    If answer is Y or T then:

          .DENDROGRAM FILE: MAP001
          [Enter name of file where the dendrogram will be stored.]

    If truncated dendrogram was requested:

          .ENTER PLOT CUTOFF: 12.3
          [Enter the cutoff number at which the dendrogram will
          be cut. Only top portion will be produced. This number must
          be taken from the RESULTS file from the previous run and
          must be in the range of the scaling of the dendrogram tree.
          This range is written in the line under the tree in the
          RESULTS file.]

          .DO YOU WANT DENDROGRAM DOC FILE? (Y/N): Y
          [ Y - the document file will be produced containing
          information about classification tree. Using this
          information, one can retrieve the clustering behavior  
          for any number of groups.]

    If previous answer was Y, then:

          .DOCUMENT FILE: MAP001
          [Enter the document file name where the dendrogram information
           will be stored.]

NOTES: 1. To get the classification on a given "cutting" level use
          command 'CL HD'.

       2. To get the selection doc files corresponding to the given "cutting"
          use command 'CL HE'.

       3. To calculate averages for the classes use command 'AS DC' and
          selection doc. files.

       4.  Every vertical line at the bottom of the drawing represents an image
	   that you input into 'CL HC'.  Each vertical line is an average
	   of the images, or vertical lines, below it.

	   The threshold is a scaled value from 0 to 1 that informs 'CL HC'
           how far "up" the dendrogram you wish it to look. A
	   threshold set at the bottem would result in the number of classes
	   being equal to the number of input images. A median threshold value
	   of 0.5 results in fewer classes. And a top level 
	   threshold gives a single class containing of all the inputs.

       5. Implemented by P. Penczek.

SUBROUTINES: HCLS, DIST_P, CHAVA, DENDRO, DENDRO2, ARBRE, HCLP

CALLER:      UTIL1
