
CL KM     CLassification - K Means clustering ||              CL KM   
                                                            6/30/04

PURPOSE:  Performs K-means clustering on factors (or raw data) 
          produced by CORAN or PCA.

SEE ALSO: CL CLA    
          CL HC     
 
USAGE:    CL KM, X21,X22,X23,X24,X25

          .CORAN/PCA FILE (e.g. CORAN_01_IMC~) FILE: coran_t_IMC
          [Enter name of the 
           raw image data sequential file (_SEQ), 
           image factor coordinate file (_IMC), or 
           pixel factor coordinate file (_PIX) file containing your data. 
          These files were created by 
          '<a href='"'./cas.html'"'>''CA S''</a>'.

          .NUMBER OF CLASSES: 50
          [Enter number of classes required.]

          .FACTOR NUMBERS: 1,3,4,6
          [Enter the factors to be included in the K-means clustering 
          algorithm.]

          .FACTOR WEIGHT: 1.5
          [Enter a weight for each factor selected. If the answer zero is
          given at any point, all weights from the current factor onwards 
          are set to one. This question is asked as many times as the number 
          of factors specified, or is terminated by the answer zero.]
          .FACTOR WEIGHT: 1.5
          [Enter a weight for each factor selected. If the answer zero is
          given at any point, all weights from the current factor onwards 
          are set to one. This question is asked as many times as the number 
          of factors specified, or is terminated by the answer zero.]

          .FOR RANDOM SEEDS GIVE NON-ZERO STARTING NUMBER: 1457
          [Initial partition of objects is random.
          If the answer is zero, the partition is as follows: 1st object
          to first class, 2nd object to second class, ..., k-th object
          to k-th class, (k+1)-th object to first class, etc.
          For non-zero answer, the number is used to initialize a truly
          random assignment of objects.
          The purpose is to try different initial partitions for a given
          number of classes and choose the one with the best value of one
          of the criteria.]
 
          .TEMPLATE FILENAME (ex: SEL***): SEL***
          [Enter the name of the document files where all the objects 
          belonging to the same cluster will be stored.]

          .DOCUMENT FILE: MAP001
          [Enter the document file name where the cluster membership
          for each object will be stored.]
        
NOTES: 1. Registers X21-X25 store values for the following criteria:    '<br>'
          X21: Tr(B), trace of between-groups sum of squares matrix,    '<br>'
          X22: Tr(W), trace of within-groups sum of squares matrix,     '<br>'
          X23: C = Tr(B)*Tr(W), Coleman criterion,                      '<br>'
          X24: H = (Tr(B)/(k-1))/(Tr(W)/(nobj-k)), Harabasz criterion
              (k = number of groups; nobj = number of objects [images]),'<br>'
          X25: DB, Davies-Bouldin criterion.                            '<br>'

          The local maximum on the plot of C or H versus number of groups
          indicates the 'best' partition. '<br>'
          A large change in value of Tr(W) also indicates a possible good 
          partition.'<br>'
          The local minimum on the plot of DB versus number of groups
          indicates the 'best' partition. '<br>' 
          Davies-Bouldin's is the most highly recommended criterion.

       2. For description of the k-means algorithm and clustering criteria see:'<br>''<br>'

          '<i>'Cluster Analysis Algorithms for Data Reduction and Classification
          of Objects. '</i>' Helmuth Spath. (John Wiley & Sons, Ellis Horwood Ltd., 1980).'<br>'
          '<i>'Algorithms for Clustering Data.'</i>' A.K.Jain, R.C.Dubes. (Prentice Hall, 1988).'<br>'
          '<i>'A cluster separation measure.'</i>' D.L.Davies and D.Bouldin. (1979)
          '<i>' IEEE Trans. Pattern Analysis and Machine Intelligence'</i>' 1:224-227.'<br>'

       3. If there is only a single object in a class then the results
          may be nonsense.  To overcome this remove the object (image)
          that occurs singly and rerun the analysis.'<br>'

SUBROUTINES: SUBKMNS, SUBKMEANS, NEWKMEANS

CALLER:      UTIL1
