
DI NF     Dilate an object - Do not fuse objects                DI NF     
                                                                3/14/01

PURPOSE:  Dilates (enlarges) object in a input image/volume. 
          Will not add a pixel/voxel if it causes contact of pixels
          having differing values both greater than zero i.e. will
          not fuse clusters of different values.

SEE ALSO: EC CL
          ER
          ER DOC
          DI

USAGE:    DI NF

          .INPUT  FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]

          .BOX OR CROSS NEIGHBORHOOD (B/C): C
          [Shape of neighborhood.  Box is a square/cube centered on each
           voxel, cross is a 2/3-dimensional cross centered on each
           voxel.]

          .LENGTH OF NEIGHBORHOOD: 3
          [Length of the total neighborhood around a voxel. (Should be an
           odd number).]

          .DILATE IF NUMBER OF OCCUPIED NEIGHBORS IS > THAN: 6
         [Voxel will be set to 1.0 if it has at least this
          many occupied neighbors and does not cause fusion of
          clusters having different values.]

      
NOTES: 1.  Requires an input image/volume with voxels
           having values  zero or greater. Voxels having a density > 0.0
           are considered occupied.  Dilated areas are set to
           value of the same value as their neigbor has. 

       2.  Image/volume is "circularly closed" so that voxels on 
           boundaries have a neighbor on opposite boundary.

SUBROUTINES: DILATION

CALLER:      UTIL3
