
DOC MERGE  Merge two document files                           DOC MERGE
                                                              12/11/01

PURPOSE:   Merge two document files. 
           If a key is duplicated within a single input file only the
           final key's registers are used from that file.

SEE ALSO:  SD           (Save document)
           DOC COMBINE  (Combine a series of document files) 
           DOC CREATE   (Shuffle a document file) 
           DOC MIRROR   (Create second  file that lacks values in first) 
           DOC SUBTRACT (Merge values from 1'st file not found in 2'nd file) 
	      
USAGE:    DOC MERGE

          .INPUT DOCUMENT FILE: DOC001
          [Enter name of first input document file.]
 
          .SECOND INPUT DOCUMENT FILE: DOC002
          [Enter name of second input document file.]
 
          .OUTPUT DOCUMENT FILE: DOC002
          [Enter name of output document file.]

          .COLUMN TO BE MERGED BY (0 IS KEY): 1
          [Enter column number which will controls merger. If column 
          -1 is chosen the output document file will contain all entries 
          from both of the two files and the keys are renumbered
          consequtively.'<BR>'
 
          If the key column (0) is chosen, the output document file will 
          contain all those keys found in either input file and 
          other columns will contain the contents of the other 
          columns in the input file.  If the same key is found in both 
          input files, the contents of the second file's columns will 
          appear in the output. '<BR>'
  
          If a column other than the key column is chosen, then the 
          output file contains one newly renumbered key for each 
          unique value found in the chosen merger column.
          If the same value is found in the chosen merger column
          of both input files, the contents of the second file's 
          columns will appear in the output and the first files 
          values will be lost.]

NOTES:    1. You can merge two document files with renumbering of
             keys by using -1 for the merger column. In this case
             all entries from the two files are kept and renumbered
             consecutively.

SUBROUTINES: DOCS1, OPENDOC, LUNDOC, GETDOCDAT

CALLER:      DRIV1
