EP TM      T test - Each Point                             EP TM
                                                            10/08/00

PURPOSE:  Computes the t-test values for each point in the  
          average image (resulting from adding an image series) versus
          specified values.  Images can be 2D or 3D.  The purpose
          of this command is to test whether the average image file
          is significantly different from assumed values, for example
          whether values in the average image differ from zero.  

USAGE:    EP TM

          .AVERAGE FILE: AVE001
          [Enter the name of the file containing the average of an
           image series.  This is obtained by using operation 'AS R'.]

          .VARIANCE FILE: VAR001
          [Enter the name of the file containing the variance of an
           image series.  This is obtained by using operation 'AS R'.]

          .NUMBER OF IMAGES AVERAGED: 56
          [Enter the number of images added when the average image
           was formed.]

          .TESTED POPULATION MEAN: ARF001
          [Enter the name of the file containing the values versus which
           the average image file is tested.]

          .SIGNIFICANCE IMAGE: SIG001
          [Enter the name of the file which will contain the statistical
           significance of the point-by-point differences.]

NOTES: 1. For an elementary introduction into the theory of  
          statistical inference, see (e.g.) P. Armitage, "Statistical
          Methods in Medical Research", Blackwell Scientific
          Publications, p99ff. (WCL&R Library:  19.A77)

       2. The images can be 2D as well as 3D.

       3. Please keep in mind that command 'AS' subtracts the average
          from the images added. Such averages can produce incorrect
          results in t-test (too significant).

       4. Since the correct normalization of EM images is usually unknown
          the results of t-test should be taken with a grain of salt.

       5. Implemented by: P. Penczek.

SUBROUTINE: TTEST1

CALLER:     CONF1
