FD        Filter according to a Document file ||                 FD      
                                                           10/23/96

PURPOSE:  Applies Fourier filter to 2D or 3D to real or Fourier image. 
          Coefficients of the filter are read from a document file.

USAGE:    FD

          .INPUT FILE: PIC001
          [Enter name of input file.]

          .OUTPUT FILE: FIC001
          [Enter name of output file.]

          .FILTER DOC FILE: my_filter
          [Enter name of document file.  First column should contain
          coefficients of a Fourier filter.]

NOTES:    1. The Fourier transform of the input file is multiplied
             by the filter coefficients read from a document file.
             Filter coefficients should be stored in in the first
             column. The first key is assumed to correspond to zero
             frequency, the second key to the first bin in Fourier
             space, and so on.  If the document file has fewer keys
             than the number of bins in Fourier space (SQRT(2)*[N/2+1],
             where N is the maximum dimension of the image in real space),
             the remaining filter coefficients are assumed to be equal
             to zero. Real input image will have real output and a Fourier
             input will have a Fourier output.

          5. Implemented by P. Penczek.

SUBROUTINE: FILTDOC

CALLER:     FOUR1
