
FF        Fourier Filter                                    FF      
                                                            2/14/04

PURPOSE:  Applies filters to 2-D or 3-D Fourier transforms.

SEE ALSO:  FF PLOT  
           FP      
           FQ      
           FT       

USAGE:    FF

          .INPUT FILE: FIN001
          [Enter name of input file containing Fourier transform.]

          .OUTPUT FILE: FOU001
          [Enter name of output file containing filtered Fourier file.]

          1: low-pass, 2: high-pass,3: Gaussian low-pass, 4: Gausian high-pass
          5: Fermi low-pass, 6: Fermi high-pass,7: Butterworth low-pass,
          8: Butterworth high-pass, 9: Remez, 10: B Factor

          .FILTER TYPE (1-10): 3
          [Enter filter option code.

          (1)  Low-pass truncation.  Filter is "top-hat" function
               that truncates Fourier transform at spatial frequency
               RAD.

          (2)  High-pass truncation.  Filter is inverse "top-hat"
               function that passes Fourier transform beyond spatial
               frequency radius RAD.

          (3)  Gaussian low-pass.  Filter is Gaussian function
               EXP(-f**2/(2.*RAD**2)), where F is the frequency.

          (4)  Gaussian high-pass.  Filter is complement of Gaussian
               function:  1.0-EXP(-F**2/(2.*RAD**2)).

          (5)  Fermi low-pass.  Filter is 1/(1+EXP[(F-RAD)/T]) which
               negotiates between "top-hat" and Gaussian 
               characteristics, depending on the value of T (see below).

          (6)  Fermi high-pass.  As low-pass, but T is replaced by -T.

          (7)  Butterworth low-pass. Frequencies below pass band are
               preserved, frequencies above stop band are removed, with
               a smooth transition in between (pass band < stop band).

          Option "7" - Butterworth low-pass. Filter is:  
                              1/(SQRT(1+F/RAD)**(2*ORDER))    '<br>'
                        In the actual implementation of the filter the parameters,
                        RAD and ORDER are calculated from the pass-band frequency
                        and cut-off frequency specified by the user.
                        Frequencies above pass band are
                        preserved, frequencies below stop band are removed, with
                        a smooth transition in between (pass band > stop band).                        See NOTE 3 below.
                       See NOTE 3 below.
                        
          (8)  Butterworth high-pass. Filter is: 
                              1-(1/(SQRT(1+F/RAD)**(2*ORDER)))  '<br>'

          (9) Multiplication by the Remez filter designed with the help
              of 'FF PLOT' command.

          (10) B Factor: normalizes amplitudes by a 'B' temperature
              factor.
 
       For filters [(1) through (5)], the filter radius will be solicited:

          .FILTER RADIUS: 0.12
          [Enter filter function radius in frequency units. They are
           of the range 0.0<=f<=0.5. See 
           '<a href='"'ffplot.html'"'>''FF PLOT''</a>' for discussion of
           frequency units.]

       For the Fermi filters [(5) and (6)], the temperature parameter T 
       will be solicited:

          .TEMPERATURE (0=CUTOFF): 0.3
          [Roughly within this reciprocal distance (in terms of
          frequency units), the filter falls off.]

       For the Butterworth filters [(7) and (8)], the pass band and stop band
       frequencies are solicited:

          .PASS-BAND FREQUENCY & STOP-BAND FREQUENCY: .2,.4
          [Both are in frequency units; 0.0 <= f < =0.5 ]

       For the Remez filter (9), the filter file will be solicited: 
      
          .FILTER FILE: REM000
          [This file can be created by 'FF PLOT', or it can be any
           Fourier file used as a filter.]

       For the B Factor filter (10), the following parameters are solicited:
 
          .ENTER B FACTOR: 0.5
          .ENTER D CONSTANT: 1
          .ENTER FQ CUTOFF: 0.4
          [Where the new amplitude is : AMP = AMP*D(EXP(Bs**2))]


NOTES:    1.  '<a href='"'fq.html'"'>''FQ''</a>' has similar functions.

          2. The FILTER RADIUS can be given either in absolute units or pixel
          units. If answer is >1.0 it is treated as given in pixel units.

          3. In the Butterworth filter the ORDER determines
             the filter fall off and RAD corresponds to the cut-off radius.
             In the program RAD and ORDER are calculated from the parameters
             specified by the user using following equations:'<br>'
             
             RAD = fp/((eps)**(2/ORDER))                    '<br>'

             ORDER = [2*log(eps/sqrt(a**2-1))]/[log(fp/fs)]'<br>'

             where fp and fs are the pass-band and stop-band frequencies and 
             parameters "eps" and "a" are given by 0.882 and 10.624 resp. 
             Note that fp and fs deviate from 1.0 and 0.0 by about 0.2 and 0.09
             respectively (for a low-pass filter.)
             For reference see  '<a href='"'ffplot.html'"'>''FF PLOT''</a>'.

SUBROUTINE: FFILTS

CALLER:     FOUR1
