
FR        File Read                                         FR      
                                                            6/26/02

PURPOSE:  Associates a file name template or any other
          string with a symbolic parameter. The symbolic parameter is
          specified inside the procedure.  The associated value is
          read from the input stream which may be either an interactive
          SPIDER run or a higher level procedure.  This operation should
          only be called from inside procedures.

SEE ALSO: FR L
          FR G
          FR F
          RR

USAGE:    FR    
          [In procedure file]               '</P>'

          .SYMBOLIC PARAMETER PROMPT & LABEL:  ?prompt? <label>'<BR>' 
          [Enter prompt string to be printed when procedure is called
           from an interactive session and label for this parameter.]

          [Upon procedure execution, prompt string is printed :]  '<BR>'

          .prompt: PIC{***x11}
          [Enter value to be associated with this symbolic parameter. Any
           string such as a filename is allowed.  If the value contains another
           symbolic parameter or a register, then these components are evaluated
           in the procedure where they are specified (before being passed into the 
           caller).]

          1. Example.  '<BR>'
            If the following lines are contained inside a SPIDER procedure:

           '<PRE>'  
            FR
            ?NERVE AXON FILE TEMPLATE? <temp>

            DO LB1 I=4,6
              FS
              <temp>
            LB1

            CP
            <temp>004
            <temp>_jnk
            EN
            
            When procedure is invoked from an interactive SPIDER session
            the following prompt appears: '<BR>'
            ?NERVE AXON FILE TEMPLATE? <2>
            nerve
    
            When do-loop executes,  operation sequence is : '<BR>'
            
            FS
            nerve004
            FS
            nerve005
            FS
            nerve006

            Following do-loop execution, operation sequence is : '<BR>'
            CP
            nerve004
            nerve_jnk

          '</PRE>'  

          2. Previously 'FI' could serve the same function. The
          use of 'FI' is no longer allowed.  

          3. Symbolic parameter labels can consist of any string. Previously they 
             were restricted to numbers. (June 2002)

SUBROUTINE: DRIV1, RDPR, SETSYMPAR, SUBSYMPAR

CALLER:     DRIV1

