
FR L      File Read, Local                                     FR L     
                                                            6/19/02

PURPOSE:  Associates a file name template or any other
          string with a symbolic parameter.  Reads input from current
          procedure or input stream.  'FR L' differs from 'FR' which
          receives input from the calling procedure or input stream.

SEE ALSO: FR
          FR F
          RR

USAGE:    FR L   

          .PARAMETER LABEL & ASSOCIATED VALUE:  <label>value'<BR>' 
          [Enter symbolic parameter id (surrounded by <>'s) and associated 
           string.]

          1. Example.  '<BR>'
 
           '<PRE>'  
            FR L
            <raw_file>nerve{***x23}

            DO LB1 I=4,6
              x23=x0
              FS
              <raw_file>
            LB1

            x23=4
            CP
            <raw_file>
            <raw_file>_jnk

            When procedure executes, operation sequence is : '<BR>'
            
            FS
            nerve004
            FS
            nerve005
            FS
            nerve006

            CP
            nerve004
            nerve004_jnk

          '</PRE>'  

NOTES:      This operation is useful when writing long procedures as
            a single symbolic parameter can be initialized to contain
            a string at the top of the procedure then the symbolic parameter 
            e.g. <raw_file> can be used throughout the procedure.  If the 
            string's value later changes then it only has to be altered at 
            one location in the procedure.

SUBROUTINE: DRIV1, RDPRMC, RDPR, SYMPAR, SETSYMPAR, SUBSYMPAR, PARSESYMPAR

CALLER:     DRIV1

