
IF_THEN   Conditional execution of operation series         IF_THEN      
                                                            11/16/00

PURPOSE:  To allow conditional execution of  
          sections of the operation stream,
          depending on the validity of equalities or inequalities.
          (modeled after the FORTRAN IF...ELSE...ENDIF).

SEE ALSO: IF       (Conditional execution)
          IF_GOTO  (Conditional jump)

USAGE:    IF(<EXP>.<LC>.<EXP>) THEN

          '<PRE>'
          where 
                <EXP>  is an expression.
                <LC> is a logical comparator.  The following 
                     comparators are allowed:
                       EQ  equal
                       NE  not equal
                       GT  greater
                       GE  greater/equal
                       LT  less
                       LE  less/equal

          EXAMPLES:
              IF(X9.GE.15) THEN
                 OP
              ENDIF

              IF(X9.GE.15.) THEN
                 OP
              ELSE
                 OP
                 OP
              ENDIF
          '</PRE>'

NOTES: 1.  Nesting of if_then..else...endif is limited to MAXPRC
           levels. See source file: CMLIMIT.INC for assignment of 
           MAXPRC.

       2.  For every 'IF_THEN' there must be a closing ENDIF!

       3.  There is NO '.AND.' comparator.

       3.  There is NO 'ELSEIF' clause available.

       5. Implemented by: A. Leith

SUBROUTINE: LOGIFQ

CALLER:     SPIDER
