
IP        InterPolate                                      IP      
                                                           02/17/03

PURPOSE:  Interpolates an image using bilinear interpolation
          or a volume using trilinear interpolation.

SEE ALSO:  IP T  (Interpolation, triangular)
           FP    (Fourier interpolation)
           FQ    (Fourier filter)
           DC    (Decimate)

USAGE:    IP

          .INPUT FILE: H_PIC001
          [Enter the name of the file to be interpolated.]

          .OUTPUT FILE: H_IMG024
          [Enter the file where the interpolated image is to be kept.]

    For 2-D input image:
          .ENTER DIMENSIONS,  NSAM & NROW: 128,128
          [Enter the dimensions of the interpolated image.]

    For 3-D input image:
          .ENTER DIMENSIONS,  NSAM, NROW, & NSLICE: 128,128,1
          [Enter the dimensions of the interpolated image.]

          [H_PIC001 will then be interpolated to a size of
          128 x 128, and the interpolated image will be put into
          H_IMG024.]

NOTES: 1. This operation can be used for either interpolation or
          extrapolation.

       2. The output image does not have to have the same 
          proportions (ratio NSAM/NROW) as the input picture.

       3. Only the new X dimension
          (NSAM) of the output image need be entered.
          The other dimension(s) will then be computed 
          assuming the same proportions as the input image.  For
          example, let the input image have the size 60x40.
          Then the sequence'<br>'
                  .ENTER DIMENSIONS,  NSAM & NROW: 120
          will have the same effect as:'<br>'
                  .ENTER DIMENSIONS,  NSAM & NROW: 120,80

       4. The program works by throwing a new grid onto the image
          whose boundaries coincide with those of the old grid.  Each
          pixel of the new grid is computed from its old neighbors  by
          bilinear interpolation or triangular interpolation.

       5. Note that for raw data, a  reduction  in  scale  by  'IP'
          results in a loss of S/N ratio, since only a subset of the
          original points may be used for interpolation.  The proper
          procedure maintaining the original information as much as
          possible is to apply an appropriate low-pass filtration to
          the original image (either 'FQ', or for large images design
          Remez filter using 'FF PLOT' and use 'RC'), and to decimate it
          using 'DC' operation.
         
SUBROUTINES: INTERP, INTERP3, IRP3

CALLER:      UTIL2
