
MA        MAsk - using circular mask                            MA      
                                                            9/09/99

PURPOSE:  Masks a specified picture with circular masks of specified
	  radii.  Pixels in the area inside the inner circle and the
	  area outside the outer circle are set to a specified
	  background.

SEE ALSO: MA L  (Mask - a line across image)
          MA X  (Mask - in X direction)
          MA Y  (Mask - in Y direction)
          MA Z  (Mask - in Z direction)
          MM    (Mask multiplication)
          MM C  (Mask multiplication - continuous)

USAGE:    MA

          .INPUT FILE: H_PIC001
          [Enter the name of the file to be masked.]

          .OUTPUT FILE: PIC002
          [Enter the name of the output file.]

	  .OUTER & INNER RADII: 12.0, 0.0
          [Enter the radii of the outer and inner mask circles, in
          pixels.  Pixels in areas outside the outer radius and inside
          the inner radius are set to background.  Enter zero inner
          radius for no inner radius masking.  Enter zero outer radius
          for inner masking only.]

          .(D)isk, (C)osine, (G)aussian edge, or (T)rue Gaussian: D/C/G/T
          [Enter 'D' for a sharp disk-profile cutoff,
          'C' or 'G' for a piece-wise mask (no modification inside 
          a circle with the specified radius, and cosine/Gaussian-shaped 
          falloff from this radius outwards), or 'T' for a true 
          Gaussian mask.]

          .(A)V, (P)REC AV, (C)IRCUMF, OR (E)XTERNAL: P
          [Enter 'A' if the background is to be the average of
          the picture before masking; enter 'P' if the
          background is to be the average after masking; or enter
          'E' if the background is to be specified externally.
          Enter 'C' if you want the background to be determined
          by averaging along the circumference of the outer mask].

    If 'E' was entered, the following question appears:

          .ENTER BACKGROUND: 3.0
          [Enter the desired background.]

          .MASK CENTER COORDINATES (NSAM, NROW): 50, 15
          [Enter the coordinates of the circular mask center.  Note
          that you have to specify coordinates equal to NSAM/2+1,
          NROW/2+1 if you want the mask center to coincide with the
          nominal image center.]

    The following question appears only when using a 3-D volume.

          .MASK CENTER COORDINATES (NSLICE): 45

          [Enter the slice number for the circular mask center.  Note
          that you have to specify slice equal to NSLICE/2+1 if you 
          want the mask center to coincide with the nominal volume 
          center.]

    If a 'C' was specified in response to the '(C)osine, (D)isk or (G)aussian:'
    prompt, the following question appears:

          .WIDTH: 3.5
          [Enter the width of the cosine falloff function.]

    If a 'G' was specified in response to the '(C)osine, (D)isk or (G)aussian:'
    prompt, the following question appears:

          .HALFWIDTH: 3.5
          [Enter the halfwidth of the Gaussian falloff function.]

SUBROUTINES: MASK

CALLER:      UTIL2
