MK        MarKer                                            MK
                                                           12/1/99

PURPOSE:  Align set of markers for single tilt geometry.

SEE ALSO: MK 3 (Marker program - find 3D orientation)

USAGE:    MK

          .ENTER PREFIX OF MARKER DOC FILES: D_ROT***
          [Enter the prefix of the document files containing the 
          X,Y coordinates of the marker positions.]

          .ENTER FILE NUMBERS: 1-61
          [Enter the range of file numbers of the marker document 
          files to be used.]

          .ENTER REFERENCE FILE NUMBER: 31
          [Enter the number of the file which will be treated as
          a reference.  Usually it is the file containing markers
          for the 0-degree projection.]

          .ENTER X,Y IMAGE DIMENSIONS: 900,900
          [Enter the nsam, nrow (X,Y) dimensions of the images on 
          which you picked the markers.]

          .REFINE SCALE (VS REFERENCE)? (Y/N): Y
          ['Y' - scale will be modified, 'N' - scale will be set to 1.]

          .REFINE TILT ANGLE (VS REFERENCE)? (Y/N): N
          ['Y' - tilt angle will be modified,
           'N' - tilt angle will remain as read from the marker document
                 files.]

          .REFINE IN-PLANE ROTATION? (Y/N): Y
          [Y - in-plane rotation (psi angle) will be modified, 
           N - in-plane rotation (psi angle) will be set to 0.]

          .REFINE SHIFT (VS REFERENCE)? (Y/N): Y
          ['Y' - shift will be modified, 'N' - shift will be set to 0.]

          .USE PREVIOUS CORRECTIONS? (Y/N): N
          ['N' - next question will be skipped.]

     If Y, corrections from the previous run will be used as
     a starting point, in this case next question will be:
                
          .ENTER CORRECTIONS INPUT DOC FILE: CCA002
          [Enter the name of the corrections document file from the
          previous run.]

          .Full output (Y/N): N
          [Enter Y to have information about all the markers
           (errors per marker in 2D) stored in the results files.]

     If Y, the next question will be:

          .ENTER PREFIX OF X,Y PREDICTED COORD OUTPUT FILES: OPC***
          [Enter the prefix of output document files in which predicted
           coordinates will be stored. In columns 1 and 2, the original
           (X,Y) coordinates is stored.  In columns 3 and 4,
           the predicted marker coordinates is stored. In the fifth
           column, the error of each marker is stored.]                

          .ENTER ERROR PER VIEW OUTPUT DOC FILE: VIEW_ERROR
          [Enter the name of the document file in which the errors
           per view will be stored.  Under key=-1 the total error
           will be stored.'<BR>'
           Enter "*" if you do not want this file to be produced.]

          .ENTER ERROR PER MARKER OUTPUT DOC FILE: POINT_ERROR
          [Enter the name of the document file in which the errors
           per marker will be stored.  Under key=-1 the total error
           will be stored.'<BR>'
           Enter "*" if you do not want this file to be produced.]

          .ENTER CORRECTIONS OUTPUT DOC FILE: CCA002
          [Enter the name of the document file in which the corrections
          to align the tilt images will be stored (see note #3).]

          .ENTER 3-D COORDS OUTPUT DOC FILE: CRA002
          [Enter the name of the document file in which the 3-D 
          coordinates (X,Y,Z) of the markers will be stored.]

NOTES: 1. In the program there is a limit set to 100 markers and 
          300 views.

       2. Input document files must have markers coordinates stored
          X - first column, Y - second column.        
          The number of markers has to be exactly the same in all the
          input document files.
          The order of markers coordinates has to be the same in all
          the input document files (i.e. marker #3 has to be stored
          under key #3 in all the document files.          '<BR>'

          The original tilt angle (theta) has to be stored in the
          input document files in the second column of key#-1 (key
          line commented out).                             '<BR>'

       3. The document file with the corrections has the following
          format:                                           '<BR>'
             column 1 - scale                               '<BR>'
             column 2 - tilt angle (theta)                  '<BR>'
             column 3 - in-plane rotation angle (psi)       '<BR>'
             column 4 - x-shift                             '<BR>'
             column 5 - y-shift                             '<BR>'

          The following program is an example how the corrections
          have to be used to modify the projections:

          '<PRE>'
          X55=0.0
          DO LB1 I=1,61
          UD IC, X0,X21,X77,X22,X23,X24
          CCA002
          ; MODIFY THE PROJECTIONS
          RT SQ
          <INPUT PROJECTION>X0
          <OUTPUT PROJECTION>X0
          X21,X22
          X23,X24
          ; STORE NEW THETA ANGLE IN THE ANGULAR DOC FILE
          ; AS REQUIRED BY BP W2 OR BP 3D.
          ; NOTE: THE THETA ANGLE IS USUALLY NOT REFINED, SO
          ; THIS STEP IS NORMALLY NOT DONE.
          SD X0,X55,X77,X55
          ANG001
          LB1
          '</PRE>'

       4. Written by: Paul A. Penczek


SUBROUTINE: MRK,MR2TO3D,MRALIGN,MRANG2,MRCALERR,MRCENTI,MRCG3D,
            MRDOC,MRGETINFO,MRPROJ,MRPUTINFO,MRSCALE,MRSHIFT,
            MRTHETA

CALLER:     UTIL3
