MK 3      MarKer 3D                                        MK 3
                                                           1/29/01

PURPOSE:  Align two sets of markers for two-tilt geometry in terms
          of three Eulerian angles.

SEE ALSO: MK    (Marker program)
          RT SQ (Rotate and Scale)
          VO RA (Vector Operation - Rotate Angular document file)

USAGE:    MK 3

          .FIRST SERIES MARKER INPUT DOC FILE: CRA002
          [Enter the name of the document file in which the 3-D marker
           coordinates (X,Y,Z) for the first single-tilt series are
           stored.  This will be reference model.]

          .SECOND SERIES MARKER INPUT DOC FILE: CRB002
          [Enter the name of the document file in which the 3-D marker
           coordinates (X,Y,Z) for the second single-tilt series are
           stored. This model will be aligned to the first and the
           corresponding new Eulerian angles will be written to the
           file below.]

          .ENTER NAME FOR OUTPUT CORRECTIONS DOC FILE: C3C202
          [Enter the name of the output document file in which
           the Eulerian angles and scale needed to merge the two tilt 
           series will be stored (see note 2).]

          .SECOND SERIES ANGULAR INPUT DOC FILE: ANG002
          [Enter the name of the document file with the original
           tilt angles from the second series.  If the angles were
           refined when using MK, enter instead the name of the 
           document file with the corrections (e.g. CCB002).  Only the 
           second column, which contains the tilt angle (theta), is 
           used.]

          .CORRECTED ANGULAR OUTPUT DOC FILE: ANGLES_SECOND
          [Enter the name of the output angular document file in which 
           the modified Eulerian angles for the images in the second 
           tilt series will be stored. 
           These angles are the same as would result from application 
           of the 'VO RA' command using the Eulerian angles between 
           the two tilt series, as found by the current run of 'MK 3'.
                                                               '<BR>'
           Enter "*" if you do not want this file to be produced.]

          .ALIGNMENT/ERRORS OUTPUT FILE: ERRORS_BOTH
          [Enter the name of the output document file in which the 
           X,Y,Z coordinates of the aligned markers will be stored.
           In the fourth column, the error of each marker is stored.  
           In addition, under key "-1", the total error is stored.
                                                              '<BR>'
           Enter "*" if you do not want this file to be produced.]

NOTES: 1. Input document files must have 3D marker coordinates stored
          X - first column, Y - second column, Z - third column.
          The number of markers has to be exactly the same in both the
          input document files.
          The order of marker coordinates has to be the same in both
          the input document files (marker #3 in the first file has to 
          correspond to the marker #3 in the second file).
          Both sets of markers should have their centers of gravity
          at point (0,0,0).

       2. The document file with corrections has the following
          format:                                             '<BR>'
          Key=1 : Eulerian angles psi, theta, phi.            '<BR>'                       '<BR>'
          Key=2 : scale, xshift,   yshift,   zshift           '<BR>' 
                                                              '<BR>'
          The Eulerian angles stored at Key=1 are used to modify
          the Eulerian angles of the second-series angular document 
          file, as in the command 'VO RA'. 
                                                              '<BR>'

          The scale stored at Key=2 has to be used to modify the input
          images from the second series to adjust their scale to the
          first series (using command 'RT SQ').                '<BR>'

          The shifts stored at Key=2 are all zero (shift calculation
          has never been implemented).

       3. Written by: Paul A. Penczek

SUBROUTINES:  MRK3,MRCG3,MRQUATER,MRROTATE,MRSCALE3,MRERROR,
              MRDOCCOR,MRNEWANGLE,CALD

CALLER:      UTIL3
