
OP        Orientation of Projections in terms of Eulerian angles.   OP    
                                                               07/15/05

PURPOSE:  Determines orientations of N=>3 projections
          in terms of three Eulerian angles.

USAGE:    OP

          .IMAGES: IMG***
          [Enter template for 2D image file series.]

          .ENTER FILE NUMBERS: 1-11
          [Enter file numbers.]

	  .LENGTH OF LINE PROJECTION: 79
          [Enter length of 1D line projection to be used internally by the
           program.  The length has to be less than NSAM.]

	  .MINIMUM, MAXIMUM FREQUENCY: 0.0, 0.25
          [For each line projection only frequencies between minimum and maximum 
           will be used.  The default is 0.0, 0.5, which is the full 
           range.]

	  .ACCURACY OF THETA: 5
          [Enter accuracy of search in terms of theta angle.
           Theta accuracy will define a set of quasi-evenly distributed projections
           directions to be used in the program.  It is the same set as
           generated by command 'VO EA' for the same delta theta.]

          .MAXIMUM NUMBER OF CYCLES: 200
          [Enter maximum number of cycles the program should perform.  In some
           cases program may fail to terminate, so to prevent an 
           endless loop the maximum number of cycles has to set.]

          .DOCUMENT FILE WITH INITIAL ANGLES: initial_angles
          [Enter the name of the document file containing initial
           Eulerian angles for 2D images (psi, theta, phi).
           The angles can be either random, or can be estimated
           by other means.]

	  .DOCUMENT FILE: angles002
          [Enter the name of the output document file.  For each cycle
           resulting in a decrease of the discrepancy measure, new
           results will be appended to this document file.
           Key "-1" will have two columns: the current cycle number
           and the current value of the discrepancy measure.
           Keys from one to the number of 2D input images specified
           will contain Eulerian angles (psi, theta, phi) found.]

NOTES: 1. Input projections have to be centered.

       2. Eulerian angles can be used directly in 3D reconstruction
          programs to calculate a 3D structure.

       3. Implemented by P. Penczek.

       4. Command 'OP' implements orientation search strategy described
          in: Penczek P., J. Zhun, J. Frank.  A common-lines based method for determining 
          orientations for N>3 particle projections simultaneously.
          Ultramicroscopy, 63, 205-218 (1996).

SUBROUTINES: POLQS

CALLER:      UTIL3

; Example

DE
angsett

; Generate an initial set of random Eulerian angles
DO LB1 I=1,16
   X21=RAN(X88)*360.
   X22=RAN(X88)*180.
   X23=RAN(X88)*360.
   SD X0,X21,X22,X23
   angsett
LB1
SD E
angsett

OP
ahr***
1-16
80
0.0, 0.156
5
20
angsett
rangles001

; calculate 3D structure for the solution found.
DOC CREATE
select
1
1-16

BP RP
ahr***
select
40
rangles001
N
rvol001
1.0e-4,0.0
60,0
0,0
0.5

EN
