OR QM     Multireference alignment program based on self-correlation functions || OR QM
                                                               07/22/04

PURPOSE:  Performs multireference alignment between a series of images and a set
          of reference images (templates).  The mirror orientation is checked.
          The operation uses self-correlation function.

SEE ALSO:  OR QM  (Multireference alignment - 2D, do not check mirror)


USAGE:    OR QM

          .ENTER TEMPLATE FOR REFERENCE IMAGE SERIES: REF***
          [Give the template name of the existing file series of 2D 
           reference images (typically projections).]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: SELECTREF
          [Enter numbers of reference files. The file numbers can also
           be read from a selection document file where file numbers are contained in the
           first register (not the keys).]

          .Real space mask radius for the input and reference images: 25,15
          [The radii applied in real space to the input and reference images, respectively.]
  
          .RADIUS OF THE ACF, MAXIMUM SHIFT: 20,5
          [Enter the maximum radius of the self-correlation function to be used
           in angle determination and the maximum shift to be considered.]

          .ENTER TEMPLATE FOR IMAGE SERIES TO BE ALIGNED: DAT***
          [Give the template name of the existing file series of 
          experimental images.  These images will be checked for 
          alignment versus the reference images.]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME:1-21
          [Enter numbers of experimental files. The file numbers can also
           be read from a selection document file where file numbers are contained in the
           first register (not the keys).]

          .DOCUMENT FILE NAME: PARM101
          [This is the only output produced by this program.
           It contains 6 columns:                             '<BR>'

           1. Number of the most similar reference projection.'<BR>'
              When this number is negative, the most similar is the
              mirrored projection.                '<BR>'

           2. Not-normalized correlation coefficient.          '<BR>'
              Can be used as a similarity measure.             '<BR>'

           3. Angle.                                           '<BR>'
              In-plane rotation angle determined.

           4. X-shift.                                         '<BR>'
              X translation determined.

           5. Y-shift.                                         '<BR>'
              Y translation determined.

           6. Experimental projection number.]                 '<BR>'



NOTES:    1. This command employs the same strategy as AP MQ.  For details see:'<br>'
             Joyeux, L. and P.A. Penczek.  Efficiency of 2D alignment methods.
             Ultramicroscopy, 92, 33-46 (2002).'<br>'

          2. Implemented by: Paul Penczek

SUBROUTINES: ORACFMSKM

CALLER:      UTIL3
