
PJ 3Q RR   ProJect - 3D volume using Eulerian angles & create rings file ||  PJ 3Q RR   
                                                              2/22/05

PURPOSE:  Computes projection(s) of a 3D volume according to the three
          Eulerian angles. Creates a "Circular Rings File" for use by 
          'AP REF' or other 'AP' operations. 
         (This may be usefull for speeding up alignment. 
          '<br>'(See '<a href='"'../align_overview.html'"'>'align_overview.html'</

SEE ALSO: PJ 3Q    
          PJ 3Q O   
          PJ AT   
          PJ CYL  
          RT SQ   

USAGE:    PJ 3Q RR
  
          .3-D INPUT FILE: vol001
          [Enter the name of the volume whose projections are to be
           computed.  This should be a cube!]

          .RADIUS OF THE OBJECT: 90.0
          [The projections are computed only for the object inside
          the sphere of the given radius.]

          .ENTER ANGLE NUMBERS OR SELECTION DOC. FILE NAME: 1-700 or SEL001
          [Enter selected angle numbers or name of a document file containing 
          the selected angle numbers.  Projections will only be calculated for
          the selected sets of angles from the following angles doc. file. 
          (If you use a selection doc. file hee then the selected numbers 
          are taken from the first register in the doc. file.)]

          .ANGLES DOC. FILE: ANGLES
          [Enter the name of the document file containing the Eulerian
          angles for the projections.  The angles have to be given
          in the order: psi, theta, phi. The meaning of the angles
          is the same as in operation 'RT SQ'.  Projections will be
          calculated for every entry specified in the previous question.]

          .FIRST, LAST RING, & RING SKIP: 5,80, 1
          [Only rings with radii in the range 5-80 will be analyzed. 
          If skip=0 or 1, then every ring between 5 and 30 will be taken;
          for skip=2, every second ring; etc.]

          .ENTER TEMPLATE FOR 2-D PROJECTIONS: PRJ****
          [Enter the template for the output files which will contain the 
           2-D projections.]

          .REFERENCE RINGS FILE: ref_rings
          [Enter the template for the output files which will contain the 
           reference rings (polar coordinate representation) of the 2-D 
           projections.  This file can be used by 'AP REF', etc.]

NOTES: 1. Memory requirements: NSAM*NROW+12*R**3+15*R**2, where R is the 
          radius, but no more than: 6*NSAM*NROW+NSAM*NROW*NSLICE

       2. The projection file has always dimensions NSAM x NROW.

       3. For a projection of the whole volume (not the internal
          sphere only) give a radius larger than any linear
          dimension of the volume.  Please note that usually
          such a projection is incorrect and the program takes
          much longer! 

       4. Implemented by: P.Penczek & A. Leith.

      6.  Psi, theta, & phi angles are placed in projection file header 
          starting at location: 100

SUBROUTINES: PJ3Q_N, PREPCUB_Q_N, WRITPRO_N, WPRO_N

CALLER:      VTIL2
