
PJ AT     ProJect 3D volume using exponential ATtenuation        PJ AT
                                                               09/02/04    

PURPOSE:  Computes a projection of a 3D density distribution along
          two specified angles (azimuth angle, PHI, and tilt angle,
          THETA), using the formula:
         '<PRE>'
             p(i) = SUM      [ p(i) + exp(-a*v(i,z))+ b*v(i,z) ]
                   over z
         '</PRE>'
          Basic idea: The object consists of slices, which absorb
          the light comming from the back (exponential part) and also 
          illuminate the following slice (additive part). 
   
USAGE:    PJ AT 

          .INPUT VOLUME: PIC001
          [Enter the name of the file whose projection is to be
          computed. Should be a cube!]
       
          .PROJECTION SAMPLE DIM.: 110
          [Enter the sample dimension for the projection file equal
          to, or smaller than, the volume sidelength.  Arbitrary
          dimensions can be used.]

          .OUTPUT FILE: PRJ001
          [Enter the name of the file where the projection is to be
          stored.]

          .AZIMUTH ANGLE(PHI): 45.5
          [Enter the azimuth angle, in degrees.]

          .TILT ANGLE(THETA): -30.0
          [Enter the tilt angle, in degrees.]

          .SCALE FACTS IN EXP, SUM: 1.,1.
          [Enter scale factors: the first is 'a' and the second is 'b' 
          in the formula above.]

          .THRESHOLD VALUE (BELOW), ADD. CONST: 0.1,0.5
          [Enter threshold value. Values in the volume below the
          threshold will not be used in the calculation of the
          projection. The additive constant is added to 
          each voxel that has passed the threshold criterion. 
          The effect of this value is a steeper transition between
          background and particle.]

NOTES:    1. '<STRONG>'Not tested!'<STRONG>'
 
SUBROUTINES: MRPRREP

CALLER:      VTIL2
