
PK 3R     PeaK search - 3D, Restricted neighborhood, output to doc. file   PK 3R
                                                            11/10/04

PURPOSE:  Searches for local peaks in an volume with neighbourhood exclusion and 
          stores the output in document file.

SEE ALSO:  PK     (Peak search)
           PK 3   (Peak search - 3D)
           PK C   (Peak search - center of gravity)
           PK D   (Peak search - output to doc. file)
           PK DC  (Peak search - center of gravity, output to doc. file
 
USAGE:    PK 3R X11,X12,X13,X14,X15,X16,X17
          [The first three registers pass the integer coordinates
          of the highest peak, the next three registers pass the
          floating point coordinates calculated within a 3x3x3 box.
          The last register passes the absolute height of the peak.]  

          .INPUT FILE: REC001
          [Enter the name of the volume file.]

          .MAXIMA(+) OR MINIMA(-)?: +
          [Enter '+' if you want the local maxima and '-' if you
          want the local minima. Default: + for maxima.]

          .ENTER NUMBER OF PEAKS, CENTER ORIGIN OVERRIDE (1/0): 80, 0
          [Enter the number of maxima or minima sought.  The default
          origin is assumed at the volume's center (NSAM/2 + 1,
          NROW/2 + 1, NSLICE/2 + 1).  If a different origin position
          is desired, enter '1' in the second position.  The system
          will then allow you to enter the x,y,z coordinates of the
          origin to be used.  In addition, a reference peak may be
          specified, and the ratio of the height of each data peak
          to this peak value will be calculated.  Default reference
          peak number is 1.]

          .X, Y, & Z RADII OF EXCLUSION NEIGHBORHOOD ELLIPSOID: 5.3, 4.5, 3.2
          [Enter the X, Y & Z radii of the ellipsoid determining the spatial
          region around the highest peak where smaller peaks are excluded.]

    If 'Center of Origin' override option was chosen, SPIDER asks the next question:

          .X, Y, & Z ORIGIN COORDINATES: 12,15,11
          [Enter the new origin coordinates.]

          .ENTER PEAK NUMBER FOR RATIO: 1
          [Enter the number of the peak relative to which the
          heights of the other peaks are calculated.  This ratio
          is printed out and listed in the document file along
          with the other parameters of the peaks.]

          .BOX SELECTION (Y/N): Y
          [Enter 'Y' if you want to confine the search within a box
          smaller than the 3-D volume.]

    If 'Y' is specified, SPIDER asks the next three questions:

          .LOWER,UPPER SLICE: 10,50
          [Enter lower and upper z coordinates of confining box]

          .LOWER,UPPER ROW: 0,60
          [Enter lower, upper y coordinates of confining box.]

          .LOWER,UPPER SAMPLE: 12,48
          [Enter lower, upper x coordinates of confining box.]
            
          .DOCUMENT FILE: DOC001
          [Enter name of output document file]

NOTES:    This routine does NOT find "maximum" location when image
          has plateaus.  It may find the "last" value along the
          plateau.  To overcome this, use low pass filtration first
          or use 'PK M'.

SUBROUTINES: SPEAK3, PKSR3, ROUT

COTASK:      UTIL1
