
PK M      PeaK search - Maximum                                PK M      
                                                              1/22/02

PURPOSE:  Searches for maximum peak in an image.

SEE ALSO:  PK     (Peak search)
           PK 3   (Peak search - 3D)
           PK C   (Peak search - center of gravity)
           PK D   (Peak search - output to doc. file)

USAGE:    PK M X11,X12,X13,X14,X15,X16,X17

          [The first four optional output parameters (in this example
          X11,X12,X13 & X14) specify registers that are to receive
          the coordinates relative to the image (X11 & X12), and 
          relative to the origin (X13 & 14), of the location of the 
          pixel having the maximium value in the image.  If there is 
          more than one such pixel the coordinates are the center of 
          gravity of the pixels having the maximum value.  The 5th 
          register (X15) gets the value of the maximum.  The sixth 
          register (X16) gets the number of maximal pixels. If there 
          is only a single maximal pixel the coordinates are adjusted
          using the same method as 'PK' to give sub-pixel accuracy.
          The seventh register (X17) gets the maximal radius of a 
          bounding box containing all maximal pixels. (This radius is
          zero if there is only a single maximal pixel.) 

          .INPUT FILE: PIC001
          [Enter the name of the image file.]

          .ENTER ORIGIN COORDINATES OR <CR> FOR CENTER: 1,1
          [Enter the new origin coordinates.]

          [In the above example, the computer will find the 
          highest peak.  Its position will be printed in the
          RESULTS file.  In addition, the
          peak position and value will be put into the temporary
          registers if output parameters X11-X17 are specified. The 
          registers can be used as input to a subsequent shift
          ('SH') operation.

NOTES:    This routine finds the "maximum" location when an image
          has plateaus.  'PK' will not do this.

SUBROUTINES: SPEAKM

CALLER:      UTIL1

