
PW L      PoWer spectrum - Log10                              PW L
                                                            8/06/01

PURPOSE:  Generates full, unscrambled 0.5*logarithm of the power spectrum
          from complex Fourier transform for 2-D or 3-D pictures.
          The input 2D image can be real if it fits into the memory.
          Operations supports multiple radix FFT, thus the input
          image does not have to have power-of-two dimensions
          (see  'FT').
          The resulting data are real and can be displayed like
          a normal picture.

SEE ALSO: PW 2  (Power spectrum)
          PW    (Amplitudes of Fourier transform)

USAGE:    PW L

          .INPUT FILE: FOU001
          [Enter the file name of the Fourier transform.]

          .OUTPUT FILE: POW001
          [Enter the name of the file where the 0.5*LOG10(power spectrum)
           is to be kept.]

NOTES: 1. The center of 2-D LOG10(power spectrum) is placed in
          (NSAM/2+1,NROW/2+1); 
          for 3-D case in 
          (NSAM/2+1,NROW/2+1,NSLICE/2+1).

       2. The term |F(0)| is replaced by term |F(1)| to facilitate
          visualization.

       3. Memory requirements:
          '<PRE>'
          input image                memory in words
             2d real                   (NSAM+2)*NROW
             2d complex                (NSAM+2)*NROW
             3d real                   (NSAM+2)NROW*NSLICE
          '</PRE>'

SUBROUTINES: PW2SDR, PW2SR,  PW3SDR,  PW3SR 

CALLER:      FOUR1, FOUR1B
