
RR        Read Register                                     RR      
                                                            12/03/2004

PURPOSE:  To read value(s) into register(s).  Useful to set registers
          inside a SPIDER procedure at run time.

USAGE:    RR X10,X11,X11,...

       OUTSIDE OF PROCEDURE:

          RR X10 '<br>'
          .VALUE(S): 4.
          [Enter the value (floating point) to be put into register
          X10.  In this form the command is equivalent to the 
          command 'X10 = 4'.  Indeed, it offers no advantage over this
          simple statement, however the operation allows multiple
          registers to be set on one line.]

       WITHIN A PROCEDURE AS INTERACTIVE CALL:

          RR X10,X11,X11,.. '<br>'
          ? ENTER MAGNIFICATION ?

          [An interactive call to a procedure containing this
          statement produces the following ...]:

          ? ENTER MAGNIFICATION ?  4.          '<br>'
          [...where the value may either be explicitly entered (4.),
          declared as the contents of a register of the calling 
          command stream (e.g. X20), or, if the calling command stream is a
          procedure, declared as a previously solicited value (e.g. <2>).
          The value entered in any of the three forms will be stored
          in register X10 and used in the subsequent computation.]

        WITHIN A PROCEDURE AS NON-INTERACTIVE CALL: '<br>'

         RR X10 '<br>'

          [Running a procedure containing this
          statement produces the following ...]:

          .VALUE(S): 4.
          [...where the value may either be explicitly entered (4.),
          declared as the contents of a register of the calling 
          command stream (e.g. X20), or declared as a previously 
          solicited symbolic parameter value (e.g. <2>).
          The value entered in any of the three forms will be stored
          in register X10 and used in the subsequent computation.]

NOTES:    1.  'RR' may also be used within a DO-loop to enter a set of
          numbers successively into a register:     '<br>'

              DO LB1 I=1,5                          '<br>'
              RR X10                                '<br>'
              4.3,8.1,0.12,5.0,8.55                 '<br>'
              .                                     '<br>'
              .                                     '<br>'
              .                                     '<br>'
              LB1                                   '<br>'

          For I=1, X10 will be filled with the value 4.3, and so
          forth.'<p />'

          2. 'RR' may also be used within a DO-loop with input 
          surrounded by ()'s (as usual) to enter a single set of
          numbers into multiple registers:          '<br>'

              DO LB1 I=1,5                          '<br>'
              RR X10,X11,X12                        '<br>'
              (4.3,8.1,0.12)                        '<br>'
              .                                     '<br>'
              .                                     '<br>'
              .                                     '<br>'
              LB1                                   '<br>'

          In each loop X10,X11,X12 will be filled with the values:  4.3,8.1,0.12.

SUBROUTINES: READRQ, REG_SET, SHRINKQ, CHKSTR


CALLER:      DRIV1
