
RT 3D     RoTate - volume, fast, quadratic interpolation      RT 3D 
                                                            04/11/02

PURPOSE:  Rotates a volume by three Eulerian angles.
          Uses tri-quadratic interpolation.

SEE ALSO: RT     (RoTate - image or volume, use average as background)
          RT 3   (RoTate - volume, slow)
          RT 3A  (RoTate - volume, around arbitrary center)
          RT 3DS (RoTate - volume,  linear interp.)
          RT 3AS (RoTate - volume, around arbitrary center, linear interp.)
          RT 3L  (RoTate - volume, around arbitrary line)
          RT 90  (RoTate - image or volume, by 90, 180, or 270 degrees)
          RT B   (RoTate - image or volume, supply background)
          RT M   (Rotate - image or volume, use minimum as background)
          RT SQ  (RoTate - image or volume, shift, use quadratic interpolation)

USAGE:    RT 3D

          .INPUT FILE: PIC001
          [Enter name of the file to be rotated.]

          .OUTPUT FILE: ROT001
          [Enter name of the file where the rotated volume is to
          be stored.]

          .PHI, THETA, &  PSI: 10.5, 13.7, 45.8
          [Enter the rotation angles Phi (around Z),  Theta (around Y),
          and Psi (around Z).]
	  
NOTES: 1. Program reads first volume into the memory - larger volumes
          may not fit. In this case use 'RT 3' instead. Unfortunately 
          'RT 3' gives slightly incorrect results and does not use the 
          proper interpolation scheme and has sign of theta reversed.
  
       2. Tri-quadratic interpolation scheme is used.

       3. First rotation is done around Z-axis (clockwise), second
          rotation is done around Y-axis (clockwise) and the 
          third rotation is done around Z-axis (clockwise).
          All rotations are done in space coordinate system.

       4. Rotation matrix used:
          '<PRE>'
          R = R(psi) * R(theta) * R(phi)

           c  s  0        c  0 -s      c  s  0
          -s  c  0    *   0  1  0   * -s  c  0
           0  0  1        s  0  c      0  0  1
          '</PRE>'

       5. In the corners, old values are left.

       6. How to rotate volumes. '<BR>'
          If both X and Y axis rotations are needed, it may be simpler
          to use two rotations consecutively.   '<BR>'
          Pick a slice (either X or Y) from the volume and do a test 
          rotation in 2D using operation: 'RT'. '<BR>'
          Change the sign of the angle you determimed using 'RT' and 
          apply the angles as shown here.       '<BR>'
          For X rotation:    90, -angle,   -90    '<BR>'
          For Y rotation:     0, -angle,    0     '<BR>'
          (This note provided by: Mike Marko)
          (Interpolation quality will be poorer)

       7. Implemented by A. Leith.

SUBROUTINES: ROTAS3, ROTS3Q, BLDR

CALLER:      UTIL3
