
SA        Sum Alignment                                     SA
                                                         8/01/01

PURPOSE:  To perform vector addition of rotation and shift values
          from two successive cycles of alignment of an image
          series.  The summed values, saved in registers, can then
          be applied to the original images.  Additive interpolation
          errors are thus avoided.

SEE ALSO: SA P (Sum alignment - positive rotation and shift)

USAGE:    SA   X30,X31,X32

          .INITIAL ROTATION ANGLE, X & Y SHIFTS: X10,x11,x12 
          [The rotation angle, the x-shift value, and the y-shift 
          value from the initial alignment cycle. These values
          will typically have been retrieved
          from a document file by an UNSAVE ('UD') operation just
          prior to the call to 'SA'.  

          .REFINED ROTATION ANGLE, X & Y SHIFTS: x20,x21,x22 
          [The rotation angle, the x-shift value, and the y-shift 
          value from the refinement cycle.  These three values
          can also have been unsaved in the above manner from another 
          document file, or if the 'SA' is performed in the same 
          session (procedure run) as the second cycle, they may 
          simply be from current register contents (see below).

          The three registers specified on the operation line are 
          output registers, and receive the vector sums for the 
          rotation and shifts.
          
NOTES: 1. Rotational matrix used in SA has form:       '<BR>'
        
                    c    -s       '<BR>'
                    s     c       '<BR>'
       
          It works for the angles and shifts obtained from 'CC IC'
          and 'OR' commands which have to be used with reversed
          signes in 'RT SQ'.
        
       2. 'SA'  may be applied most conveniently within the second
          cycle loop.  The intermediate image series (rotated and
          translated by the amounts found in the first cycle) are
          realigned against a refined reference, and the values are
          stored in X20-X22.  The values from cycle 1 are then
          UNSAVEd into X10-X12, and 'SA' is used to obtain X30-X32.
          These output values are finally applied to rotate and
          shift the unaligned original image series.  They should
          also be saved in another document file, using 'SD'.  Note
          that two input and one output series must be on disk at
          one time.  The original images may be deleted individually
          (within the DO-loop) once the corresponding final, aligned
          images have been obtained.

       3. After having obtained resulting angle and shifts the 'RT SQ'
          command is highly recommended for the final step.

       4. In SPIDER 7.10+ input of numbers contained in registers is 
          no longer allowed.  Registers are only for output.
         (input may still be present for backward compatibility.)

SUBROUTINES: SUMALI

CALLER:      DRIV1
