
SA 3      Sum Alignment in 3D                              SA 3
                                                        11/30/01

PURPOSE:  To combine rotation and shift values
          from two successive steps of alignment of two volumes.
          The combined values, saved in registers, can then
          be applied to the original volume.  Additive interpolation
          errors are thus avoided.

SEE ALSO: SA E (Sum Eulerian angles)

USAGE:    SA 3,X41,X42,X43,X44,X45,X46

          .FIRST TRANSFORMATION ROTATION ANGLES (PHI, THETHA, PSI): 56.0 34.4 67.9 
          [The rotation angles for the first transformation, 
          The order of parameters is: phi, theta, & psi]
 
          .FIRST TRANSFORMATION SHIFTS (X, Y, Z): 1.0 1,4 1.6 
          [The translation parameters for the first transformation, 
          The order of parameters is: x-shift, y-shift, & z-shift].

          .SECOND TRANSFORMATION ROTATION ANGLES (PHI, THETHA, PSI): 16.0 14.4 17.9 
          [The rotation angles for the second transformation, 
          The order of parameters is: phi, theta, & psi]
 
          .SECOND TRANSFORMATION SHIFTS (X, Y, Z): 1.6 3,4 6.6 
          [The translation parameters for the second transformation, 
          The order of parameters is: x-shift, y-shift, & z-shift].

          [The six (output) registers receive the combined rotation and 
          translation parameters.'<br>'
          The order of output parameters is:'<br>'
          1 - phi'<br>'
          2 - theta'<br>'
          3 - psi'<br>'
          4 - x-shift'<br>'
          5 - y-shift'<br>'
          6 - z-shift]

NOTES: 1. The transformation is such that rotation is applied first 
          followed by the shift.

       2. In SPIDER 7.10+ input of numbers contained in registers is 
          no longer allowed.  Registers are only for output.
         (input may still be allowed for backward compatibility.)

SUBROUTINES: SUMALI3

CALLER:      DRIV1
