
SD         Save Document                                     SD      
                                                            6/29/05
s
PURPOSE:   Saves a set of registers or a comment in a document file.
           Up to 20 document files remain open until closed with 
           'SD E'.

SEE ALSO:  SD E  
           SD IC       
           DOC SORT    
           DOC CREATE
           DOC REN 
	   SD SHUFFLE
       
USAGE:    SD X0,X15,X20,X5
             <or>                                           '<BR>'
          SD /NEW COMMENT FOR DOC FILE                      '<BR>'
             <or>                                           '<BR>'
          SD -5,X15,X20,X5                                  '<BR>'

          [There are three methods of calling 'SD'.]

          .DOCUMENT FILE: DOC001
          [Enter the name of the file where the register contents
          are to be placed.]

          SD X0,X15,X20,X5                                '<BR>'
          [Using this method the value of X0 is used as a key for                  storing  
          this register set (X15,X20,X5) in the file.
          If the contents of the registers are: X0=4, X15=-1.5,                     X20=30.8, X5=0.0
          Then the document file  DOC001 will be appended with a record 
          containing in readable formatted form:           '<BR>'
              4  3  -1.5  30.8  0.0                        '<BR>'
          where "4" is the key, "3" is the number of floating point
          numbers following the key, and "-1.5", "30.8", and "0.0"
          are the contents of the registers X15, X20, X5 in the same
          sequence as they appear in the 'SD' command.  This record
          will supercede any previous entries in this file that have
          the same key.  Keys are limited to six digits.]  

          SD /NEW COMMENT FOR DOC FILE                       '<BR>'
          [Using this method, a new comment is added to the document               file 
          at the end of the previous contents.]

          SD -5,X15,X20,X5                                   '<BR>'
          [Using this method, the register is specified by the key "-5".
          If the key is less than 0 and greater than -1000
	  then the line of registers is placed in the document file
	  proceeded by a semicolon similar to a comment.  This allows
	  the input and later retrieval of a limited set of values such
	  as rotation angles which are somehow associated with the
	  contents of the file.  These lines will be treated like
	  comments upon retrieval unless you request the retrieval of
	  the appropriate negative key using 'UD'.]

NOTES: 1. Any number of register values can be saved by one 
          command.  However, the total number of characters on the
          command line may not exceed 80.

       2. The key may be specified directly, e.g.            '<BR>'
                  SD 15,X40,X3,X1                            '<BR>'
          No other registers may be specified in this manner.
          Example of an invalid command:                     '<BR>'
                  SD X0,16.5,X3,X31                          '<BR>'

       3. The document file can be listed and edited in the same
          manner as batch command files.  Each update via a run
          of SPIDER is marked by the date and time of the SPIDER
          session, as well as the project and data codes used.

       4. The key may also be the index of a DO-loop.  However,
          do not use 'X' as an index, as an error will result.

       5. Information on the actual names of the registers is
          lost in the document file.

       6. Up to 20 document files can be accessed concurently.  A 
          document file is closed with the 'SD E' operation.  

       7. To decease the amount of information printed in the
          results file when using this command use the 'MD' operation
          with 'Verbose off'.

SUBROUTINES:  SAVDOCQ, OPENDOC, LUNDOC

CALLER:       DRIV3
