
SD IC     Save Document - In Core                          SD IC   
                                                           07/17/03

PURPOSE:   Saves a set of registers in an existing in-core  document array.
           An in-core documet array must be created using 'SD IC NEW ' or
           'UD IC' before first use of 'SD IC'.
            Up to 10 document arrays can remain open until closed with 'SD IC END'.

SEE ALSO: SD IC NEW
          SD IC COPY
          SD IC END
          UD IC   
          SD      
 
USAGE:    SD IC <KEY>,X11,X12,X13,.....                       

          [WHERE:                                                 '<BR>'
           <KEY> is the key;  X11... are up to 100 registers to be filled. 

          Examples:'<BR>'
           
          E1. UD IC,300,X51,X52,X60,X65 (KEY is an explicit number)     '<BR>' 
            
          E2. UD IC,X90,X40,X35,X34,X10 (KEY is contained in register)'<BR>'
           
          E3. UD IC,I,X30,X31           (KEY is a DO-LOOP index)] '<BR>'   

         .INCORE DOCUMENT ARRAY: REF_ANGLES
          [Enter the name of the storage array where the register contents
          are to be placed.]

          [In example E1, if the storage array REF_ANGLES was originally created
          to contain  3 registers per line (key) and the contents of the registers are: 
          X51=30.0, X52=1.5, X53=270, then the storage array line  number 300
          will be filled with the following values: 4.0, 30.0, 1.5, 270.0 '<BR>'
          (The first value in each storage array line is the number of filled
          registers on that line.)
                          
          Subsequent accesses using 'UD IC' will quickly look up the values stored 
          under line (key) 300 in the in-core storage array.                                                   '<BR>'            

NOTES: 1. The total number of characters on the
          command line may not exceed 80.

       2. The key may be specified directly, e.g.            '<BR>'
                  SD 15,X40,X3,X1                            '<BR>'
          No other registers may be specified in this manner.
          Example of an invalid command:                     '<BR>'
                  SD X0,16.5,X3,X31                          '<BR>'

       3. The incore document array (file) can be copied to a 
          physical file using 'SD IC COPY'.

       6. Comment keys are not allowed in in-core document arrays (files).

       7. Up to 10 document files can be accessed concurently.  A 
          document file is closed with the 'SD IC E' operation.  

       8. To decease the amount of information printed in the
          results file when using this command use the 'MD' operation
          with 'Verbose off'.

SUBROUTINES:  SDOCIC, OPENDOC, LUNDOC

CALLER:       DRIV3
