
SH F      SHift - using Fourier interpolation ||                 SH F      
                                                             07/15/99

PURPOSE:  Shifts a picture or a volume by a specified vector using
          Fourier interpolation.

SEE ALSO: SH 
                   
USAGE:    SH F

          .INPUT FILE: PIC001
          [Enter the name of the image/volume to be shifted.]

          .OUTPUT FILE: SHI001
          [Enter name of output file where the shifted image is
          to be kept.]

          .SHIFT COMPONENTS IN X, Y & Z: -5.2,6.5
          [Enter the shift vector components.]

          [In the above example, PIC001 will then be shifted by -5.2 
          units in the x direction and 6.5 units in the y direction, 
          and the result will be written into SHI001.]


NOTES: 1. The shift parameters can be specified by reference to
          the temporary register:  -X11,-X12, will input the
          components (with inverted sign) of a shift vector
          found in a previous 'CC' and 'PK X11,X12' operation.
          Whether or not the sign has to be inverted follows
          from the order of argument files in the 'CC'
          operation.

       2.  DNEW (K,I) = DOLD (K',I')                         '<BR>'
           where K' = K + KSH, I' = I + ISH                  '<BR>'
           Note that  the shift is circular, '<I>'i.e.'</I>',  the image is 
           repeated in all directions.
           The effective new coordinate pair is:'<BR>'
                  K' = MOD (K + KSH, NSAM)                   '<BR>'
                  I' = MOD (I + ISH, NROW)                   '<BR>'
           Because of the use of the circular shift, SH F has the  effect
           of multiplying the Fourier transform with:        '<BR>'
           exp (2 [pi] j (KSH * KX/NSAM + ISH * KY/NROW))    '<BR>'

SUBROUTINES: SHIFT_PF, FMRS_3, SHIFT_3D FMRS_3R, FFTMCF, FMRS_2,
             FMRS_2R 

CALLER: UTIL2
