
SY DOC     Create Symmetry Document file                        SY DOC
                                                               04/13/05

PURPOSE:   Creates a document file containing symmetry Euler angles. Creates 
           angles for following symmetry groups:'<br \>'
           (C)yclic group, with only one axis of rotational symetry '<br \>'
           (CI)Cyclic group w/ inversion, or dihedral groups'<br \>'
           (T)etrahedral group, where ref. structure is 4-sided polygon'<br \>'
           (O)ctohedral group, that is also holohedral, effectively a cube'<br \>'
           (I)cosahedral group, regular 20-sided closed polygon.'<br \>'
	   

SEE ALSO:  RT 3
           RT SQ
           AP SH
           AP REF
    
USAGE:  SY

          .OUTPUT SYMMETRY DOCUMENT FILE: DOC002
          [Enter name of output document file.]
 
          .SYMMETRY TYPE (C / CI / T / O / I): C
          [Enter symmetry type.]

       If the symmetry type was 'C' or 'CI'  the following question will appear.

          .SYMMETRY FOLDNESS: 5
          [ Enter rotational symmetry parameter. ]

NOTES: 1) Assumes right-handed coordinate system, and rotations as
         described for SPIDER's 
        '<a href='"'http://www.wadsworth.org/spider_doc/spider/docs/euler.html'"'>'Euler angles'</a>'.'<br \>'

        2) Objects with rotational symmetry (types: 'C' and Ci') should 
        be oriented  with rotational axis  parallel with the Z axis and
        centered within the volume.

        3) Objects with tetrahedral symmetry  should be oriented with
        the 3-fold rotational axis  parallel with the Z axis,
        with a vertex on the positive Z axis. Also, a vertex should be
	along the positive X axis.'<br \>'

        4) Objects with symmetry Icosahedral symmetry  should be oriented with
        The he axis of 5-fold rotational symmetry along the Z
        axis. When the structure is viewed from the positve Z axis, one
        edge should point along the positive X axis.

        5) Objects with Octo/holo-hedral(cubic) symmetry  should be oriented with
        so that each axis is normal to a face of the cube.'<br \>'

        6) Useful discussions of the use of Euler angles to rotate 3D bodies can
        be found at '<a href='"'http://mathworld.wolfram.com/EulerAngles.html'"'>'mathworld'</a>' and 
        '<a href='"'http://prt.fernuni-hagen.de/lehre/KURSE/PRT001/course_main/node9.html'"'>'here'</a>'.
        Please note that these websites do not necessarily use the same
        conventions as SPIDER does, but 
        '<a href='"'http://casgm3.anorg.chemie.uni-tuebingen.de/klaus/nmr/conventions/euler/euler.html'"'>'this'</a>'
        does.

        7) Implemented by Jamie Lebarron.

SUBROUTINES: SYMANG 

CALLER:      DRIV3
