TF CRF    Determine Defocus and Amplitude contrast ratio     TF CRF
	  based on cross-resolution curve                    01/10/01

PURPOSE:  To determine defocus and amplitude contrast ratio based on
	  a cross-resolution curve between a single defocus group
	  volume and a partial CTF-corrected volume. For literature,
	  see Notes.

SEE ALSO: TF C    (Transfer Function - complex)
          TF C3   (Transfer Function - complex 3D)
          TF CT   (Transfer Function - phase flipping, complex, ternary)
          TF CT3  (Transfer Function - complex, ternary 3D)
          TF CTS  (Transfer Function - CTF correction)
          TF D    (Transfer Function - display)
          TF DDF  (Transfer Function - determine defocus and amplitude contrast)
          TF DEV  (Transfer Function - determine envelope function)
          TF DNS  (Transfer Function - determine and delete noise background)

USAGE:    TF CRF,X41,X42,X52,X52,X61
	  [Optional registers in the OPERATION line will receive the
	   output of the command: 
          '<PRE>'
	  X41 - lower limit of the defocus 
          X42 - corresponding lower limit of the amplitude contrast ratio 
          X51 - upper limit of the defocus 
          X52 - corresponding upper limit of the amplitude contrast ratio 
          X61 - error value.]
          '</PRE>'

          .PIXEL SIZE[A], CS [MM]: 3.95, 2.0
          [Enter pixel size (in Angstroems) of volumes used to calculate
           the cross-resolution curve and the spherical aberration constant.]

          .DEFOCUS(ANGSTROEMS), LAMBDA(ANGSTROEMS): 0,0.037
          [Enter zero for defocus value to request estimation of the defocus.
           If a non-zero value (in Angstroems) is entered, it will be used
           by the program as a default value and only the amplitude contrast
           ratio will be estimated.'<BR>'
          Next, enter the wavelength of the electrons.  The value used in
          this example corresponds to 100kV. 
          A table of values is listed in the glossary under 
          '<a href='"'../glossary.html#Lambda'"'>'lambda'</a>'.]

          .Amplitude contrast ratio [0-1]: 0.2
          [Enter zero to request estimation of the ACR.  If a non-zero value 
           is entered, it will be used by the program as a default value and
           only the defocus will be estimated.]

          .CROSS-RESOLUTION DOC FILE: docrf3
          [Enter cross-resolution file, such as the output of RF 3.] 

NOTES: 1. Theory and all definitions of electron optical parameters
	  are as in: J. Frank (1973)'<I>' Optik'</I>' 38:519, and R.
	  Wade & J. Frank (1974) '<I>'Optik'</I>' 49:81.  Internally,
	  the program uses the generalized coordinates defined in these
	  papers.

       2. In addition, an optional cosine term has been added with a
          weight.

	  The complete expression
	  is:                                    '<BR>'

          TF(K) = [(1-ACR)*sin(GAMMA) - ACR*cos(GAMMA)]

       3. Written by P.A.Penczek, UTH.



SUBROUTINES: TFCRF

CALLER:      UTIL1 
