
TF CT3     Transfer Function - Complex, Binary 3D         TF CT3
                                                          01/04/01

PURPOSE:  To compute the phase contrast transfer function for
	  bright-field electron microscopy.  For literature, see
	  Notes.  The 'TF CT3' option produces a binary or two-valued
	  (-1,1) transfer function in complex 3D form. This can be
	  applied, by using the 'MU' operation, to the Fourier
	  transform of an object for correcting of the phase of
	  bright-field weak phase contrast.

SEE ALSO: TF      (Transfer Function - defocus dependent)
          TF C    (Transfer Function - complex)
          TF C3   (Transfer Function - complex 3D)
          TF CT   (Transfer Function - phase flipping, complex, binary)
          TF CTS  (Transfer Function - CTF correction)
          TF D    (Transfer Function - display)
          TF DDF  (Transfer Function - determine defocus and amplitude contrast)
          TF DEV  (Transfer Function - determine envelope function)
          TF DNS  (Transfer Function - determine and delete noise background)

USAGE:    TF CT3

          .OUTPUT FILE: TFC001
          [Enter name of file that will store the computed function.]

          .CS [MM]: 2.0
          [Enter the spherical aberration constant.]

         .DEFOCUS(ANGSTROEMS), LAMBDA(ANGSTROEMS): 2000,0.037
          [Enter the amount of defocus, in Angstroems.  Positive 
          values correspond to underfocus (the preferred region);
          negative values correspond to overfocus. Next, enter
          the wavelength of the electrons.  The value used in
          this example corresponds to 100kV.
          A table of values is listed in the glossary under 
          '<a href='"'../glossary.html#Lambda'"'>'lambda'</a>'.]

          .NUMBER OF SP. FREQU. PTS.: 128
          [Enter the dimension of the 3D array.  In our example,
          each element of the array (K,I) corresponds to a spatial
          frequency                                                    '<BR>'
                  Kx = (K-65) * DK                                     '<BR>'
                  Ky = (I-65) * DK                                     '<BR>'
          where DK is defined by the next input.]

          .MAXIMUM SPATIAL FREQUENCY [A-1]: 0.15
          [Enter the spatial frequency radius corresponding to the
          maximum radius ( = 128/2 in our example) of pixels in the
          array.  From this value, the spatial frequency increment
          (DK=0.15/64) is calculated.]

          .SOURCE SIZE [A-1], DEFOCUS SPREAD [A]: 0.005,250
          [Enter the size of the illumination source in reciprocal
          Angstroems.  This is the size of the source as it appears in
          the back focal plane of the objective lens.  A small value
          results in high coherence; a large value, low coherence.
          Enter the estimated magnitude of the defocus variations 
          corresponding to energy spread and lens current fluctuations.]

          .ASTIGMATISM [A], AZIMUTH [DEG]: 400,30
          [Enter the defocus variation due to axial astigmatism.
          The value given indicates a defocus range of +/- 400 A around
          the nominal value as the azimuth is changed. Then, enter the 
          angle, in degrees, that characterizes the direction of 
          astigmatism.  The angle defines the origin direction in which 
          the astigmatism has no effect.]

          .AMPLITUDE CONTRAST RATIO [0-1], GAUSSIAN ENVELOPE HALFWIDTH[1/A]: 0.1,0.15
          [Enter ACR and GEH. The envelope parameter specifies
          the 2 sigma level of the Gaussian (see note 2 for details).]

          .SIGN (+1 or -1): -1
          [Application of the transfer function results in contrast
          reversal if underfocus (DZ positive) is used.  To compensate for 
          this reversal and make the modified structure displayable by 
          surface representation, use the sign switch -1 above.]
          
          The transfer function is now computed in complex 3D form, compatible 
          with the Fourier transform format.

NOTES: 1. Theory and all definitions of electron optical parameters
          are as in:  J. Frank (1973) '<I>'Optik'</I>' 38:519, and R. Wade
          & J. Frank (1974) '<I>'Optik'</I>' 49:81.  Internally, the program
          uses the generalized coordinates defined in these papers.

       2. In addition, an optional cosine term has been added with a weight.

          The complete expression is:                                    '<BR>'

          TF(K) = [(1-ACR)*sin(GAMMA) - ACR*cos(GAMMA)]*ENV(K)]

       3. To apply the transfer function to a model structure, use 
          'TF CTS' operation.

       4. Operation can produce volume of any dimensions (need not be
          power-of-two); consult 'FT MR' manual chapter for the 
          exclusions.

SUBROUTINES: TRAFCT3, TRAFD, TRAFC, TFD 

CALLER:      UTIL1



