
TF CTS     Transfer Function - 2D & 3D CTF correction                TF CTS
                                                                11/30/00

PURPOSE:  2D & 3D CTF correction of a series of images by Wiener filtering.

SEE ALSO: TF      (Transfer Function - defocus dependent)
          TF C    (Transfer Function - complex 2D)
          TF C3   (Transfer Function - complex 3D)
          TF CT   (Transfer Function - phase flipping, complex, ternary)
          TF CT3  (Transfer Function - complex, ternary 3D)
          TF D    (Transfer Function - display)
          TF DDF  (Transfer Function - determine defocus and amplitude contrast)
          TF DEV  (Transfer Function - determine envelope function)
          TF DNS  (Transfer Function - determine and delete noise background)

USAGE:  TF CTS

         .ENTER TEMPLATE FOR IMAGE FILE: img***
         [Enter template name of image series to be restored.]  

         .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: 1-10
         [Enter numbers of files. The file numbers can also
           be read from a selection document file where file numbers
           are contained in the first register (not the keys).]

         .ENTER TEMPLATE FOR CTF FILE: ctf***
         [Enter template name of file series containing CTFs for respective images.
          The CTF files have to have the same number as corresponding
          defocus groups.]

         .SNR : 100
         [Enter Signal-to-Noise Ratio of the images.]

         .OUTPUT FILE: MOL003
         [Enter name for output file.]

NOTES:   1) Input files can be either real or Fourier format. CTF files must be
            in Fourier format.
            All files must have the same dimensions.
            Output file is real.

         2) CTF functions can be generated from 'TF C' (for 2-D) and 'TF C3' (for 3-D).  All the parameters 
            can be determined from 'TF DDF' and 'TF DEV'.

         3) It is possible to use this operation for a single image.

         4) The theory is described in: J. Frank and P. Penczek (1995) On 
            the correction of the contrast transfer function in biological
            electron microscopy. '<I>'Optik'</I>' 98:125-129.

SUBROUTINE: RCTFSS, MULFC3

CALLER: UTIL1




