
TF DEV    Transfer Function - Determine EnVelope function   	      TF DEV  
								      10/23/96

PURPOSE:  Uses the least-squares method to determine the parameters of 
          envelope functions of the contrast transfer function, or CTF.

SEE ALSO: TF      (Transfer Function - defocus dependent)
          TF C    (Transfer Function - complex)
          TF C3   (Transfer Function - complex 3D)
          TF CT   (Transfer Function - phase flipping, complex, ternary)
          TF CT3  (Transfer Function - complex, ternary 3D)
          TF CTS  (Transfer Function - CTF correction)
          TF D    (Transfer Function - display)
          TF DDF  (Transfer Function - determine defocus and amplitude contrast)
          TF DNS  (Transfer Function - determine and delete noise background)

USAGE:     TF DEV

	  .HOW MANY IMAGES IN THE SERIES? : 1
          [Enter the number of images in the calculation.]

	  .LAMBDA(ANGSTROEMS): 0.037
          [Enter the wavelength of the electrons.  The value used in
          this example corresponds to 100kV.
          A table of values is listed in the glossary under 
          '<a href='"'../glossary.html#Lambda'"'>'lambda'</a>'.]

	  .CS [MM]: 2.7
          [Enter the spherical aberration constant.]

	  .MAX. SP. FREQ. [A-1]: 0.10
          [Enter the spatial frequency limit in unit of 1/Angstroems. The 
          maximum spatial frequency is 1/(2*pixel).]

	  .AMPLITUDE CONTRAST RATIO: 0.09
          [Enter the amplitude contrast ratio estimated by TF DDF.]

	  .SOURCE SIZE [A-1]: 0.003
          [Enter an initial guess of the size of the illumination source in 
          reciprocal Angstroems. This is the size of the source as it appears 
          in the back focal plane of the objective lens. A small value results 
          in high coherence; a large value, low coherence.]

	  .DEFOCUS SPREAD [A]: 200
          [Enter estimated magnitude of the defocus variations corresponding 
          to energy spread and lens current fluctuations.]

	  .CHARACTER OF THE FILM Kf [A-1]: 0.05
          [Enter an initial guess for the parameter of the modulation transfer 
          function. Actually it includes effects of the scanner, film, etc.]

	  .GAUSSIAN ENVELOPE CHARACTER [A-1]: 0.05
          [Enter initial guess of halfwidth of Gaussian envelope function.]

	  .IMAGE FILE: rod004
          [Enter name of background-corrected 1D profile of power spectrum.]

	  .DEFOCUS [A]: 20000
          [Enter defocus value calculated by 'TF DDF'. Convention: underfocus 
          is positive, overfocus is negative.]

	  .FITTING REGION (N1-N2): 30,230
          [Enter fitting region in Fourier pixel units.]

	  .OUTPUT FILE: rop004
          [Enter the name of file which will store simulated 1D profile using 
          the parameters estimated above. Thus, you can compare how well they 
          fit. If you input a series of files, the output files will be 
          generated in the same order as the input. If you don't want an 
          output file, type * to terminate.]

NOTES: 1. The outline of the theory is the same as for TF.

       2. The functions used for fitting the input profiles are:         '<BR>'
          f(A1,A2,A3,A4)=A1*SIN(X(KF))*E1(A2)*E2(A3)*E3(KFILM)*E4(A4)    '<BR>'
          SIN(X(K))=SIN(PI*(0.5*CS*LAMBDA**3*KF**4-DZ*LAMBDA*KF**2-Q) is the
          CTF for a monochronic wave;                                    '<BR>'
          E1=EXP(-1*PI**2*A2**2*(K**3*CS*LAMBDA**3-DZ*K*LAMBDA)**2) is the
          partial spatial coherence envelope function, where A2 is the source 
          size;                                                          '<BR>'
          E2=EXP(-PI**2*A3**2*K**4*LAMBDA**2/16LN2) is the partial temporal
          coherence function, where A3 is the energy spread;             '<BR>'
          E3=1/[1+(KF/KFILM)**2] is the envelope function for the recording;
                                                                         '<BR>'
          E4=EXP(-(KF/A4)**2) is the Gaussian evelope function, where A4 is 
          the halfwidth of the Gaussian function.

       3. The strategy to differentiate the effects of the partial spatial 
          coherence envelope function and the Gaussian envelope function is 
          to use a defocus series, because the partial spatial coherence 
          envelope function is defocus-dependent, but the Gaussian envelope 
          function is not.

       4. The partial temporal coherence function is not actually fitted, 
          because it is not the main resolution-limiting factor in the 
          spatial frequency range up to 0.15 A-1. 

SUBROUTINE:  ENVELOPE

CALLER:      UTIL1
