
TF DNS    Transfer Function - determine and Delete NoiSe background  TF DNS 
                                                               9/9/99

PURPOSE:  Calculate the noise background from 1D profile of power spectrum
          and correct it. The background is assumed to be a Gaussian profile 
          a1*exp[-(k/a2)**2]+a3. The output file is used by 'TF DEV' for 
          envelope function fitting. 

SEE ALSO: TF      (Transfer Function - defocus dependent)
          TF C    (Transfer Function - complex)
          TF C3   (Transfer Function - complex 3D)
          TF CT   (Transfer Function - phase flipping, complex, ternary)
          TF CT3  (Transfer Function - complex, ternary 3D)
          TF CTS  (Transfer Function - CTF correction)
          TF D    (Transfer Function - display)
          TF DDF  (Transfer Function - determine defocus and amplitude contrast)
          TF DEV  (Transfer Function - determine envelope function)

USAGE:     TF DNS

 	   .IMAGE FILE: ro008
           [Enter name of file containing 1D profile of power spectrum.]

 	   .MAXIMUM SP. FREQ [A-1]: 0.104
           [Enter the spatial frequency limit in units of 1/Angstroems. The 
            maximum spatial frequency is 1/(2*pixel).]

 	   .SEARCH NEIGHBOUR AREA [POINT]: 5
           [Enter the local distance for defining minima.]

	   .CHANGE SEARCHING NEIGHBOUR (Y/N): n
           [Normally the number of minima can be judged by eye. So, the 
           SEARCH NEIGHBOUR AREA can be changed to get the number of minima 
           that you expect.]

	   .HOW MANY POINTS DO YOU WANT?: 3
           [Enter the number of minima that you wish to include.]

	   .INPUT THE POINT YOU WANT:
 	   .POINT #   1:    R [point]=?: 72.90221 
           [Enter the radius of the minimum, which is found in the second 
           column of the list of all the minima found by the program.]

 	   .POINT #   2:    R [point]=?: 100.4 
           [Enter the radius of the second minimum.]

 	   .POINT #   3:    R [point]=?: 120.9 
           [Enter the radius of the third minimum.]

       If only one minimum is included in the calculation, the following question is
       asked:
	   .SUPPLY A2 VALUE [A-1]: : .05
           [Enter the halfwidth of the Gaussian noise profile. This value is 
           similar for all the micrographs recorded under the same conditions. 
           Thus, it can be guessed from other calculations with more than 
           minima. Or, it can be guestimated by checking the output file.]

	   .NOISE DELETED PROFILE FILE: rod008
           [Enter name of file to store 1D profile with noise background
           correction.]

NOTES:     The noise background is assumed to be a Gaussian profile. The 
           background-corrected 1D profile has all the minima brought down 
           to zero without changing the positions of the minima.
	  
SUBROUTINE:  NOISE, DEFO003

CALLER:      UTIL1
