
VO MQ     Vector Operation - create selection files from 'AP' output  VO MQ
                                                               12/30/04

PURPOSE:  Create a set of selection document files from the output
	  document file of the 'AP MQ' and 'AP SH' operations.  When
	  the correlation coefficient (CCC) between an image and the
	  most similar reference image exceeds given threshold, the
	  reference image used for alignment is listed in a selection
	  file which is specific for that reference image.  Thus the
	  selection files show how the experimental images are
	  partitioned among the reference files.  In addition a
	  reference summary output file is created which contain the
	  numbers of images assigned to each reference.


SEE ALSO: AP SH  
          AP MQ

USAGE:    VO MQ

	  .CCC THRESHOLD: 0.0
	  [Enter the correlation coefficient threshold.  The
	  correlation coefficient describes the relative similiarity of
	  the particle to the reference projection. Particles with the
	  correlation coefficient value below the specified threshold
	  will be excluded from the output selection document files.
	  Enter 0 for the correlation coefficient threshold to include
	  all particles.]

          .ALIGNMENT DOCUMENT FILE: DOCAPMQ001
          [Enter the name of the document file produced by the 'AP SH' or 'AP MQ' 
          command.

	  .NUMBER OF REFERENCES USED: 83
	  [Enter the number of references used in the alignment]

          .TEMPLATE FOR REFERENCE SELECTION DOCUMENT FILES: sel***
          [Each output selection document file will contain particle numbers
           assigned by the 'AP ..' command to the respective reference image.
           E.g. file sel005 will contain particle numbers assigned to
           to the reference image number 5 in the first document register
           column. The second register column contains the
           correlation coefficients, and the third column contains a flag
           indicating whether a mirrored reference image was used.]

          .REFERENCE SUMMARY OUTPUT FILE: how_many
          [Enter name for the output document file name that will
           contain total number of images assigned to each reference. 
           (Equivalent to number of keys in each or the reference
           selection document files which were produced).]

SUBROUTINE: VOMQ

CALLER:     DRIV1

