
VO RAS    Vector Operation - Rotate Angular doc. file & set angle  VO RAS
                                                               05/23/01

PURPOSE:  Rotate projection directions according to three rotation angles
          supplied. The original projection directions are provided in
          the input angular document file. The modified projection 
          directions are stored in the output angular document file. 
          If this output angular docfile is used in a subsequent
          3D reconstruction, the resulting structure will be rotated in
          3D space in agreement with the three rotation angles given.
          This command is provided to calculate "merged" 3D 
          reconstructions and can force a particular output angle to 
          be set to a particular value.  

SEE ALSO: VO EA  (Vector operation - even angles doc. file) 
          VO MD  (Vector operation - angular doc. file from 'AP MD' output)
          VO MQ    
          VO RA

USAGE:    VO RAS

          .ANGULAR DOCUMENT FILE NAME: ANGLES001
          [Enter name of input angular document file containing the three 
          Eulerian angles (in the order psi, theta, phi) to be modified.]
 
          .ROTATION ANGLES - PSI, THETA & PHI: 12.2,75.76
     
          .ANGLE NUMBER(e.g. PSI IS 1) & VALUE: 3, 0.0
          [Value saved in output document file for Eulerian angle
           phi will be set to 0.0]

          .DOCUMENT FILE NAME: ANGFULL
          [Enter the name of the output angular document file. The file
          will contain the Eulerian angles psi, theta & phi as required by 
          the 3D reconstruction program 'BP RP'.]

NOTES: 1. Implemented by P. Penczek.

SUBROUTINE: VORA, CALD, BLDR

CALLER:     DRIV1
