#!/usr/bin/perl
#
# b01.perl (should be executable)  ArDean Leith July 2001
#
# Usage:  b01.perl | spider 
# Usage:  b01.perl | $spib/spider4d_tmp 
#
# main SPIDER code --------------------------------------------

  $\ = "\n";              # set Perl output record separator

  $pipename = "TMP_SPIDER_PIPE.pipe";  # pipe name
  $FIFO = &openregpipe($pipename);     # open pipe from SPIDER

  spi("x12=12");           # Test retrieval of SPIDER register variable
  $regval = getreg(12);
  print STDERR "Register: 12 = $regval \n"; # List SPIDER register variable

  $Filename= 'jnk';       # Set a Perl variable

  spi("MO");              # Create model test file using variable
  spi("jnk{***x12}");     # File name
  spi("64,64");           # File dimensions
  spi("T");               # Model type

  spi("IQ FI X11");       # SPIDER pipe test
  spi("jnk012");          # test existance of this file using variable

  $regval = getreg(11);   # retrieve SPIDER register variable 

  # Conditional expression test example
  if ($regval)
     {print STDERR "File: $Filename exists\n";}
  else
     {print STDERR "File: $Filename does not exist\n";}

  $maxsum = 0;       # Set a Perl variable

  for ($ifile=1; $ifile < 3; $ifile++)  # File loop example
     { 
     $iret=&b02($ifile);      # Invoke a Perl SPIDER procedure
     print STDERR " On Iter: $ifile  Procedure b02 returned: $iret";# Echo procedure return value

     $maxsum = $maxsum + $iret; #Create sum of maximum values
     }

  print STDERR "Maxsum: $maxsum"; # Echo maxsum to terminal

  sleep(4);               # Be sure SPIDER is finished

  spi("EN");              # End SPIDER session
  exit;                   # End Perl session


sub b02                   # A Perl SPIDER procedure example
  {
  local($ival,$str);
  $str = sprintf("%3.3d",$_[0]); # SPIDER likes 001 type names

  spi("MO");              # Create model test file using variable
  spi("jnk$str");         # File name
  spi("64,64");           # File dimensions
  spi("T");               # Model type

  spi("FS X21");          # Recovers information in SPIDER X21
  spi("jnk$str");         # File name

  $ival = getreg(21);     # Get info from pipe
  print STDERR "in b02 getreg(21) returned: $ival \n"; #Echo to terminal

  return $ival;           
  }


# My Common Perl support routines for SPIDER Usage

sub openregpipe
  {   # opens FIFO for SPIDER register input -------------------------

  # INPUT:
  # pipe name    (argument # 1)
  use IO::Handle;
  local($pipename,$iret);

  STDOUT->autoflush(1);

  $pipename = $_[0];      # pipe name

  if (! -p $pipename)
      {$iret = system("mkfifo $pipename"); }

  open(FIFO, "+<".$pipename ) || die  $!;

  spi("MD");           
  spi("TO RESULTS");  # Divert terminal to RESULTS file

  spi("MD");
  spi("PIPE");        # opens output pipe in SPIDER
  spi($pipename);

  return FIFO;
  }

sub getreg
  {   # gets SPIDER register value from pipe ------------------------
  # INPUT:
  #    register number (argument # 1)
  local($reg,$regno,$regval);
  $\ = "\n";              # set output record separator

  $reg = $_[0];

  spi("PI REG");  #tell SPIDER to put register value on pipe
  spi("$reg");    # register number

  ($regno,$regval) = unpack("Lfc",<FIFO>); # get values from pipe

  if ($regno != $reg)
     {
     print STDERR "Register returned: " . $regno .
                  " != Register wanted: ".$reg;
     }
  return $regval;
  }
  

sub spi
  {   # pipes argument to SPIDER after variable substitution --------
  #print STDERR "GOT:" . $_[0];
  local($string,$ret);
  s/"/\\"/g;
  $string = $_[0];
  $ret    = eval qq/"$string"/;
  print $ret;  # this sends string down the pipe
  }
